<?php
/**
 *
 * Armodels/add.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
if (empty($message)) {
	?>

	<script type="text/javascript">
		function hideAllSpecialFields(){
			$('div.input').each(function(){
				var div = $(this);
				if ($('.emailField', this).length > 0 || $('.smsField', this).length > 0 || $('.fileField', this).length > 0){
					div.css('display', 'none');
				}
			});
		}

		function showSmsSpecialFields(){
			$('input[type=file]').val('');
			$('div.input').each(function(){
				var div = $(this);
				if ( $('.smsField', this).length > 0 ){
					div.css('display', 'block');
				}
			});
		}

		function showEmailSpecialFields(){
			$('input[type=file]').val('');
			$('div.input').each(function(){
				var div = $(this);
				if ( $('.emailField', this).length > 0 ){
					div.css('display', 'block');
				}
			});
		}

		function showFileSpecialFields(){
			$('div.input').each(function(){
				var div = $(this);
				if ( $('.fileField', this).length > 0 ){
					div.css('display', 'block');
				}
			});
		}
	</script>

	<?php
	echo $this->Form->create('Armodel', array('url' => "/armodels/add/", 'target' => "modelUploadFrame", 'type' => 'file'));
	echo $this->Form->input('Armodel.soustype_id', array('type' => 'hidden', 'value' => $soustype_id));
	echo $this->Form->input('Armodel.name', array('label' => __d('armodel', 'Armodel.name')));
	echo $this->Form->input('Armodel.format', array('type' => 'select', 'empty' => true, 'options' => $options, 'label' => __d('armodel', 'Armodel.format')));

	if (!in_array('sms', $warnings)) {
		echo $this->Form->input('Armodel.sms_content', array('class' => 'smsField', 'type' => 'textarea', 'label' => __d('armodel', 'Armodel.sms_content')));
		echo $this->Form->input('Armodel.email_title', array('class' => 'emailField', 'label' => __d('armodel', 'Armodel.email_title')));
	}
	if (!in_array('email', $warnings)) {
		echo $this->Form->input('Armodel.email_content', array('class' => 'emailField', 'type' => 'textarea', 'label' => __d('armodel', 'Armodel.email_content')));
	}
	echo $this->Form->input('Armodel.file', array('label' => __d('armodel', 'Armodel.file'), 'type' => 'file', 'name' => 'myfile', 'class' => 'fileField', 'label' => __d('armodel', 'Armodel.file')));
	echo $this->Form->end();


	if (!empty($warnings)) {
		$warningsContent = '';
		for ($i = 0; $i < count($warnings); $i++) {
			$warningsContent .= __d('armodel', 'Armodel.warning.' . $warnings[$i]) . $this->Html->tag('br');
		}
		echo $this->Html->tag('div', $warningsContent, array('class' => 'formatConnWarnings'));
	}
	?>
	<script type="text/javascript">
		$("#modelUploadFrame").remove();
		$('body').append('<iframe name="modelUploadFrame" id="modelUploadFrame" src="#" style="width:0;height:0;border:none;"></iframe>');

		$('#ArmodelFormat').change(function(){
			hideAllSpecialFields();
			if ($('option:selected', this).val() == "sms"){
				showSmsSpecialFields();
			} else if ($('option:selected', this).val() == "email"){
				showEmailSpecialFields();
			} else if ($('option:selected', this).val() != ""){
				showFileSpecialFields();
			}
		});
		hideAllSpecialFields();

		$('#ArmodelAddForm').validate({
			rules: {
				'data[Armodel][name]': 'required',
				'data[Armodel][format]': 'required'
			}
		});
	</script>
<?php } else { ?>
	<script type="text/javascript">
		if (window.top.window.jQuery.jGrowl){
			window.top.window.jQuery.jGrowl.defaults.theme = 'ui-state-focus';
	<?php if (!$create) { ?>
				window.top.window.jQuery.jGrowl.defaults.theme = 'ui-state-error';
	<?php } ?>
			window.top.window.jQuery.jGrowl("<div class='info'><?php echo $message; ?></div>", {});
			window.top.window.stype_tabs_reload();
		}
	</script>
<?php } ?>

