<?php
/**
 *
 * Checks/index.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>

<div class="ui-widget-content appCheckInstall">
	<table>
		<?php
		$yes = $this->Html->image('test-pass-icon.png', array('alt' => 'OK', 'style' => 'height: 16px;width: 16px'));
		$no = $this->Html->image('test-fail-icon.png', array('alt' => 'NO', 'style' => 'height: 16px;width: 16px'));

		echo $this->Html->tableHeaders(array('Vérifications', 'status'));
		echo $this->Html->tableCells(array(
			array(array('Version des applications utilisées', array('class' => 'ui-state-focus'))),
			array('Apache', $verif['apache_version']),
			array('PHP', $verif['php_version']),
			array('PostgreSQL', $verif['postgresql_version']),
			array('CakePHP', $verif['cake_version']),
			array(array('Patch CakePHP 2.0.x ( <= 2.0.5 ) PDO Postgres', array('class' => 'ui-state-focus'))),
			array('Vérification du patch Postgres', !$version_patch_unmatch ? $verif['patch_cake2_pg_bytea']['chk'] ? $yes : $no  : '---'),
			array('Application du patch Postgres', !$version_patch_unmatch ? $verif['patch_cake2_pg_bytea']['chk'] ? $yes : $no  : '---'),
			array(array('Configuration web-GFC', array('class' => 'ui-state-focus'))),
			array('Présence du fichier \'APP/Config/webgfc.inc\'', $verif['webgfc']['inc'] ? $yes : $no),
			array('Présence du fichier \'APP/webroot/files/wsdl/webgfc.wsdl\'', $verif['webgfc']['wsdl'] ? $yes : $no),
			array(array('Configuration du plugin DataAcl', array('class' => 'ui-state-focus'))),
			array('Présence des variables de configuration dans le fichier \'APP/Config/core.php\'', $verif['dataacl']['core'] ? $yes : $no),
			array(array('Serveur de fusion documentaire GED\'OOo', array('class' => 'ui-state-focus'))),
			array('Présence des variables de configuration dans le fichier \'APP/Config/webgfc.inc\'', $verif['gedooo']['config'] ? $yes : $no),
			array('Serveur actif', $verif['gedooo']['up'] ? $yes : $no),
			array(array('Serveur de conversion documentaire cloudooo', array('class' => 'ui-state-focus'))),
			array('Présence des variables de configuration dans le fichier \'APP/Config/webgfc.inc\'', $verif['cloudooo']['config'] ? $yes : $no),
			array('Serveur actif', $verif['cloudooo']['up'] ? $yes : $no),
			array(array('Outils de génération de prévisualisation', array('class' => 'ui-state-focus'))),
			array('Présence de l\'executable pdf2swf', $verif['swftools']['pdf2swf'] ? $yes : $no),
		));
		?>
	</table>
</div>


