<?php
/**
 *
 * Collectivites/get_logo.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<img src="<?php echo LOGO_URL . '/' . $logo_url; ?>" alt="" />
<div id="buttonDeleteLogo"></div>

<script type="text/javascript">
    <?php if(!empty($logo_url)):?>
        gui.addbuttons({
            element: $('#buttonDeleteLogo'),
            buttons: [
                {
                    content: "<?php echo __d('default', 'Button.delete'); ?>"
                }
            ]
        });

        $('#buttonDeleteLogo').click(function() {
            gui.message({
                title: "<?php echo __d('default', 'Confirmation de suppression'); ?>",
                msg: "<?php echo __d('default', 'Voulez-vous supprimer cet élément ?'); ?>",
                buttons: {
                    "<?php echo __d('default', 'Button.confirm'); ?>": function(){
                        $(this).dialog("close");
                        gui.request({
                            url: "/collectivites/deleteLogo/" + <?php echo $col_id; ?>,
                            loader: true,
                            loaderMessage: gui.loaderMessage
                        },function(data){
                            $("#buttonDeleteLogo").empty();
                            $("#buttonDeleteLogo").append(data);
                            location.reload();
                        });
                    },
                    "<?php echo __d('default', 'Button.cancel'); ?>": function(){
                        $(this).dialog("close");
                    }
                }
            });

        });
    <?php endif;?>
</script>
