<?php
if(!$isSoustype) {
    echo $this->Html->tag('div', __d('comment', 'Comment.cantAddPrivateComment'), array('class' => 'viewOnlyTab'));
}
echo $this->Form->create('Comment');

echo $this->Form->input('Comment.content', array('type' => 'textarea', 'label' => __d('comment', 'Comment.content')));

if ($canAddPrivateComment) {
	echo $this->Form->input('Comment.private', array('label' => __d('comment', 'Comment.private')));

	$fieldsetContent = $this->Html->tag('legend', __d('comment', 'Comment.readers'));
	$fieldsetContent .= $this->Form->input('Reader.Reader', array('label' => false, 'type' => 'select', 'multiple' => 'checkbox', 'options' => $readers, 'class' => 'commentCheckbox'));
	echo $this->Html->tag('fieldset', $fieldsetContent, array('id' => 'readers'));
}

echo $this->Form->end();
?>
<script type="text/javascript">

	function switchPrivate() {
		if ($('#CommentPrivate').attr('checked') === 'checked') {
			$('#readers input[type="checkbox"]').removeAttr('disabled');
			$("#readers label").removeClass('disabled');
		} else {
			$('#readers input[type="checkbox"]').attr('disabled', 'disabled');
			$("#readers label").addClass('disabled');
		}
	}

	$('#CommentPrivate').change(function() {
		switchPrivate();
	});

	switchPrivate();
</script>