<?php
/**
 *
 * Courriers/add.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
echo $this->Html->css(array('zones/circuit/index'), null, array('inline' => false));
echo $this->Html->css(array('zones/courrier/courrier'), null, array('inline' => false));
echo $this->Html->css(array('zones/courrier/affaire'), null, array('inline' => false));
echo $this->Html->css(array('zones/tache/tache'), null, array('inline' => false));
echo $this->Html->css(array('SimpleComment.comment.css'), null, array('inline' => false));
echo $this->Html->script('jquery/jquery.ui.autocomplete.html.js', array('inline' => true));
echo $this->Html->script('contactinfo.js', array('inline' => true));

if ($rights['setMeta']) {
	echo $this->Html->script('thesaurus.js', array('inline' => true));
}
?>

<script type="text/javascript">

	function initwizardtabs() {
		gui.tabs({
			element: $("#tabs"),
			noErrorMsg: true,
			loaderMessage: gui.loaderMessage
		});
		$("#tabs").tabs({
			disabled: [1, 2, 3, 4, 5, 6]
		});

		gui.maskTabs({
			element: $('#tabs'),
			opacity: 0
		});

		//        setNextButtonAction(1);
		setWizardButtons(-1);
	}

	function findForm() {
		//definition du formulaire a envoyer
		var form = false;
		$('.ui-tabs-panel').each(function() {
			//on verifie dans tous les panneaux existant celui qui est affiché et on recupere le formulaire contenu dans le panneau si ce formulaire existe
			if ($(this).css('display') == "block" && $('form', this).attr('action') !== undefined) {
				form = $('form', this);
			}
		});
		return form;
	}

	function setWizardButtons(id) {
		//on determine si on est au dernier panneau
		if (id == $('#tabs').tabs("length") - 1) {
			$('#next .ui-button-text').html("<?php echo __d('courrier', 'Terminer'); ?>");
			var href;
                        //à test///////////
                        var i=0;
			$('#tabs a').each(function() {
				href = $.data(this, 'load.tabs');
                                i++;
                                if(i>3){
                                    return false;
                                }
			});
                        ///////////////////
			var courrierId = href.substring(href.lastIndexOf("/") + 1);
			gui.request({
				url: "/courriers/getInsertEnd/" + courrierId,
				loaderElement: $('#tabs'),
				loaderMessage: gui.loaderMessage
			}, function(data) {
				$("body").append(data);
			});
		} else {
			$('#next .ui-button-text').html("<?php echo __d('courrier', 'Suivant'); ?>");
			gui.removebutton({
				element: $("#controls"),
				button: "<?php echo __d('courrier', 'Insert Courrier End'); ?>"
			});
		}

		//bouton precedent
		if (id < 1) {
			gui.disablebutton({
				element: $('#controls'),
				button: "<?php echo __d('courrier', 'Precedent'); ?>",
				unbindAction: true
			});
		} else {
			function prev(id) {
				$("#tabs").tabs("enable", id - 1);
				$("#tabs").tabs("select", id - 1);
				$("#tabs").tabs("load", id - 1);
				setWizardButtons(id - 1);
			}
			gui.enablebutton({
				element: $('#controls'),
				button: "<?php echo __d('courrier', 'Precedent'); ?>",
				action: function() {
					var form = findForm();
					if (form) {
						if (form.valid()) {
							gui.request({
								data: form.serialize(),
								url: form.attr('action'),
								loaderElement: $('#tabs'),
								loaderMessage: gui.loaderMessage
							}, function(data) {
								prev(id);
							});
						}
					} else {
						prev(id);
					}
				}
			});
		}

		//bouton suivant
		if (id == -1) {
			gui.enablebutton({
				element: $('#controls'),
				button: "<?php echo __d('courrier', 'Suivant'); ?>",
				action: function() {
					var form = findForm();
					if (form) {
						if (form.valid()) {
							gui.request({
								data: form.serialize(),
								url: form.attr('action'),
								loaderElement: $('#tabs'),
								loaderMessage: gui.loaderMessage
							},
							function(data) {
								var json = getJsonResponse(data);
								var cpt = 0;
								$('#tabs a').each(function() {
									var href = $.data(this, 'href.tabs');
									href += '/' + json.newCourrierId;

									if (cpt == 0) {
										$('#tabs').tabs('url', 0, '/courriers/setInfos/' + json.newCourrierId);
									} else {
										$('#tabs').tabs('url', cpt, href);
									}
									cpt++;
								});

								$('.context_content .ui-accordion-header a').each(function() {
									$(this).parents('.ui-accordion-header').removeAttr('loaded');
									$(this).parents('.ui-accordion-header').attr('undefinedurl', 0);

									var href = $(this).attr('href');
									href += '/' + json.newCourrierId;
									$(this).attr('href', href);
								});

								$("#tabs").tabs("enable", 1);
								$("#tabs").tabs("select", 1);
								setWizardButtons(1);
							});
						}
					}
				}
			});
		} else if (id == 0) {
			gui.enablebutton({
				element: $('#controls'),
				button: "<?php echo __d('courrier', 'Suivant'); ?>",
				action: function() {
					var form = findForm();
					if (form) {
						if (form.valid()) {
							gui.request({
								data: form.serialize(),
								url: form.attr('action'),
								loaderElement: $('#tabs'),
								loaderMessage: gui.loaderMessage
							}, function(value) {
								$("#tabs").tabs("enable", 1);
								$("#tabs").tabs("select", 1);
								setWizardButtons(1);
							});
						}
					}
				}
			});
		} else if (id == $('#tabs').tabs("length") - 1) {
			gui.enablebutton({
				element: $('#controls'),
				button: "<?php echo __d('courrier', 'Terminer'); ?>",
				action: function() {
					var form = findForm();
					if (form) {
						if (form.valid()) {
							gui.request({
								data: form.serialize(),
								url: form.attr('action'),
								loaderElement: $('#tabs'),
								loaderMessage: gui.loaderMessage
							}, function(data) {
								window.location.href = "<?php echo Configure::read('BaseUrl') . "/environnement"; ?>";
							});
						}
					} else {
						window.location.href = "<?php echo Configure::read('BaseUrl') . "/environnement"; ?>";
					}
				}
			});
		} else {
			function next(id) {
				$("#tabs").tabs("enable", id + 1);
				$("#tabs").tabs("select", id + 1);
				$("#tabs").tabs("load", id + 1);
				setWizardButtons(id + 1);
			}
			gui.enablebutton({
				element: $('#controls'),
				button: "<?php echo __d('courrier', 'Suivant'); ?>",
				action: function() {
					var form = findForm();
					if (form) {
						if (form.valid()) {
							gui.request({
								data: form.serialize(),
								url: form.attr('action'),
								loaderElement: $('#tabs'),
								loaderMessage: gui.loaderMessage
							}, function(data) {
								next(id);
							});
						}
					} else {
						next(id);
					}
				}
			});
		}
	}
	var courrierContext = "add";
</script>

<div id="courrier_skel">
	<div id="flux_infos" class="infos">
		<div id="tabs">
			<ul>
				<?php
				$cptTab = 0;
				if ($rights['createInfos']) {
					echo $this->Html->tag('li', $this->Html->link(__d('courrier', 'Informations'), '/courriers/createInfos'));
					$cptTab++;
				}
				if ($rights['setMeta']) {
					echo $this->Html->tag('li', $this->Html->link(__d('courrier', 'Metadonnees'), '/courriers/setMeta'));
					$cptTab++;
				}
				if ($rights['setTache']) {
					echo $this->Html->tag('li', $this->Html->link(__d('courrier', 'Taches'), '/courriers/setTache'), array('id' => 'taskTab', 'tabRank' => $cptTab));
				}
				if ($rights['setAffaire']) {
					echo $this->Html->tag('li', $this->Html->link(__d('courrier', 'Affaire'), '/courriers/setAffaire'));
				}

				echo $this->Html->tag('li', $this->Html->link(__d('comment', 'Comment.tab'), '/courriers/setComments/'));
				?>
			</ul>
		</div>
		<div id="controls">
			<span id="previous"><?php echo __d('courrier', 'Precedent'); ?></span>
			<span id="next"><?php echo __d('courrier', 'Suivant'); ?></span>
		</div>
	</div>

	<?php echo $this->Element('context', array('rights' => $rights, 'response' => (isset($response) && $response) ? $response : false)); ?>

</div>
<script type="text/javascript">
	//actions des boutons de #controls
	gui.buttonbox({element: $("#controls")});

	//activation des onglets
	initwizardtabs();
	lockContext();
</script>
