<?php
/**
 *
 * Courriers/get_documents.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<div>
	<fieldset class="main_document fieldsetView">
		<legend>
			<?php echo __d('document', 'Document.main_doc'); ?>
		</legend>
		<?php
		if (!empty($mainDoc)) {
			?>
			<div class="ctxdoc">
				<?php
				echo $this->Element('ctxdoc', array(
					'ctxdoc' => $mainDoc['Document'],
					'gfcDocType' => 'Document',
					'cssClass' => 'mainDoc'
				));
				?>
			</div>
			<?php
		} else {
			echo $this->Html->tag('div', __d('document', 'Document.mainDoc.void'), array('class' => 'ui-state-highlight voidMessage'));
		}
		?>
	</fieldset>
	<fieldset class="document_list">
		<legend>
			<?php echo __d('document', 'Document.list'); ?>
		</legend>
		<?php
		if (!empty($documents)) {
			?>
			<ul>
				<?php echo $this->Element('documentList', array('documentList' => $documents)); ?>
			</ul>
			<?php
		} else {
			echo $this->Html->tag('div', __d('courrier', 'Document.void'), array('class' => 'ui-state-highlight voidMessage'));
		}
		?>
	</fieldset>
	<?php if (!empty($documentssignes)):?>
	<fieldset class="document_list">
		<legend>
			<?php echo __d('document', 'Document.signe_list'); ?>
		</legend>
			<div class="ctxdoc">
				<?php
				echo $this->Element('ctxdoc', array(
					'ctxdoc' => $documentssignes['Document'],
					'gfcDocType' => 'Document',
// 					'cssClass' => 'mainDoc'
				));
				?>
			</div>
	</fieldset>
	<?php endif;?>
	<fieldset class="document_upload">
		<legend>
			<?php echo __d('document', 'Document.upload'); ?>
		</legend>
		<div class="content"><div class="ui-state-highlight voidMessage"><?php echo __d('document', ($fromDispEnv || !$right_upload) ? 'Document.upload.notallowed' : 'Document.upload.undefined'); ?></div></div>
	</fieldset>
</div>

<script type="text/javascript">
<?php if ($right_upload && !$fromDispEnv) { ?>
		var ulfile = gui.createupload({
			button: "<?php echo __d('default', 'Button.uploadFile'); ?>",
			buttonIco: "/img/upload_16.png",
			label: "Choisir un fichier",
			url: "<?php echo "/Documents/upload"; ?>",
			fileInputName: "myfile",
			hiddenItem: {
				name: "courrierId",
				value: <?php echo $fluxId; ?>
			}
		});
		$('.document_upload .content').html(ulfile);
<?php } ?>
	initContextDocumentBttnActions();
</script>