<?php
/**
 *
 * Courriers/get_meta.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
if (isset($viewOnly) && $viewOnly === true) {
	echo $this->Element('viewOnly');
}

//echo $this->Html->tag('h3', __d('courrier', 'Méta-données du flux'));

$divContent = $this->Html->tag('div', __d('metadonnee', 'Metadonnee.void'), array('class' => 'ui-state-highlight voidMessage'));

$valOfSelect =  Configure::read('Selectvaluemetadonnee.id');
if (!empty($metas)) {
	$dlContent = '';
	foreach ($metas as $meta) {
		if ($meta['Metadonnee']['typemetadonnee_id'] != 3 || $meta['Metadonnee']['typemetadonnee_id'] == 3 && $meta['CourrierMetadonnee']['valeur'] != 0) {
			$dlContent .= $this->Html->tag('dt', $meta['Metadonnee']['name']/* , array('class' => 'ui-state-focus') */);
			if ($meta['Metadonnee']['typemetadonnee_id'] == 3) {
				$dlContent .= $this->Html->tag('dd', $this->Html->image('/img/valid_16.png', array('alt' => '', 'style' => 'vertical-align:middle;')) . ' ' . __d('metadonnee', 'Metadonnee.checked'));
			} else if ($meta['Metadonnee']['typemetadonnee_id'] == $valOfSelect) {
				$dlContent .= $this->Html->tag('dd', (isset( $meta['Selectvaluemetadonnee'][$meta['CourrierMetadonnee']['valeur']] ) ) ? $meta['Selectvaluemetadonnee'][$meta['CourrierMetadonnee']['valeur']] : 'Aucune information');
			} else {
				$dlContent .= $this->Html->tag('dd', ($meta['CourrierMetadonnee']['valeur'] != '') ? $meta['CourrierMetadonnee']['valeur'] : 'Aucune information');
			}
		}
	}
	$divContent = $this->Html->tag('dl', $dlContent);
}
?>

<fieldset class="fieldsetView">
	<legend><?php echo __d('courrier', 'Metadonnees'); ?></legend>
	<?php
	echo $divContent;
	?>
</fieldset>
