<?php
/**
 *
 * Courriers/reponse.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
$filedsetContent = $this->Html->tag('legend', __d('courrier', 'Courrier.response_choice_fieldset_label'));
$filedsetContent .= __d('courrier', 'Courrier.response_choice_message');
$filedsetContent .= $this->Form->create('CourrierReponse');
$filedsetContent .= $this->Form->input('Soustypes', array('type' => 'select', 'label' => __d('soustype', 'Soustypes'), 'empty' => true, 'options' => $soustypes_lies));
$filedsetContent .= $this->Form->input('InsertAuto', array('type' => 'checkbox', 'label' => __d('courrier', 'Courrier.response_insert_auto')));
$filedsetContent .= $this->Form->end();
echo $this->Html->tag('fieldset', $filedsetContent, array('class' => 'fieldsetEdit'));
?>

<script type="text/javascript">
	$('#CourrierReponseReponseForm').validate({
		rules: {
			'data[CourrierReponse][Soustypes]': 'required'
		}
	});
</script>