<?php

/**
 *
 * Desktops/add.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
echo $this->Html->tag('div', __d('desktop', 'Desktop.add'), array('class' => 'ui-widget-header'));
echo $this->Form->create('Desktop');
echo $this->Form->input('Desktop.group_id', array('empty' => true, 'label' => __d('desktop', 'Desktop.group_id')));
echo $this->Form->input('Desktop.name', array('label' => __d('desktop', 'Desktop.name')));

echo $this->Form->input('Service.Service', array('style' => 'height: 100px;width: 200px;', 'options' => $services, 'default' => false, 'multiple' => 'multiple', 'class' => 'selectMultiple', 'escape' => false, 'label' => $this->Html->tag('span', __d('desktop', 'Desktop.service') . $this->Html->tag('span', '*', array('style' => 'color: #ee3322;')), array('class' => 'required'))));
echo $this->Html->tag('span', __d('default', 'Button.submit'), array('class' => 'desktopAddSubmit'));
echo $this->Html->tag('span', __d('default', 'Button.cancel'), array('class' => 'desktopAddCancel'));
echo $this->Form->end();
?>
