<?php
/**
 *
 * Desktops/get_rights.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
//init options
$options = array(
	'no' => $this->Html->image('/DataAcl/img/test-fail-icon.png', array('style' => 'width: 16px;', 'alt' => 'no')),
	'yes' => $this->Html->image('/DataAcl/img/test-pass-icon.png', array('style' => 'width: 16px;', 'alt' => 'yes')),
	'parentNodeMarkOpen' => $this->Html->image('/DataAcl/img/parent_node_mark_close.png', array('style' => 'width: 16px;vertical-align: middle;', 'alt' => 'closed')),
	'parentNodeMarkClose' => $this->Html->image('/DataAcl/img/parent_node_mark_open.png', array('style' => 'width: 16px;vertical-align: middle;', 'alt' => 'opened')),
	'edit' => false,
	'requester' => $requester
);

if ($mode == 'func') {
//show func rigths
	echo $this->Element('rights', array('rights' => $rights, 'edit' => false));
} else if ($mode == 'data') {
//show data rigths
	$options['aclType'] = 'DataAcl';
	foreach ($dataRights as $desktopAgent => $rights) {
		$requester = array('model' => 'DesktopsAgent', 'foreign_key' => $desktopAgent);
		$options['requester'] = $requester;
		$options['fieldsetLegend'] = 'DataAcl: Types/Soustypes - DesktopsAgent ' . $desktopAgent;
		$options['formName'] = $requester['model'] . '_' . $requester['foreign_key'] . '_data';
		$this->DataAcl->drawTable($rights, false, $options);
	}
} else if ($mode == 'meta') {
//show meta rigths
	$options['fields'] = array(
		'create' => 'création',
		'read' => 'lecture',
		'update' => 'édition',
		'delete' => 'suppression'
	);
	$options['aclType'] = 'DataAcl';
	foreach ($metaRights as $desktopAgent => $rights) {
		$requester = array('model' => 'DesktopsAgent', 'foreign_key' => $desktopAgent);
		$options['requester'] = $requester;
		$options['fieldsetLegend'] = 'DataAcl: Metadonnees - DesktopsAgent ' . $desktopAgent;
		$options['formName'] = $requester['model'] . '_' . $requester['foreign_key'] . '_meta';
		$this->DataAcl->drawTable($rights, false, $options);
	}
}
?>

<script type="text/javascript">
	initTables(true);
</script>