<?php
/**
 *
 * Elements/flexPaper.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<a id="viewerPlaceHolder" style="width:<?php echo $width; ?>;height:<?php echo $height ?>;display:block;margin-left: auto; margin-right: auto;">
	<?php echo __d('default', 'Your browser does not support flash.'); ?>
</a>
<script type="text/javascript">

	var h = parseInt($('.ui-accordion-content:first').css('height'));
	$('#viewerPlaceHolder').css('height', (h - 34) + 'px');


	var fp = new FlexPaperViewer(
	'/files/flexpaper/FlexPaperViewer',
	'viewerPlaceHolder', { config : {
			SwfFile : "<?php echo $filename; ?>",
			Scale : 0.1,
			ZoomTransition : 'easeOut',
			ZoomTime : 0.5,
			ZoomInterval : 0.2,
			FitPageOnLoad : false,
			FitWidthOnLoad : true,
			PrintEnabled : true,
			FullScreenAsMaxWindow : true,
			ProgressiveLoading : false,
			MinZoomSize : 0.2,
			MaxZoomSize : 5,
			SearchMatchAll : true,
			InitViewMode : 'Portrait',

			ViewModeToolsVisible : false,
			ZoomToolsVisible : true,
			NavToolsVisible : true,
			CursorToolsVisible : true,
			SearchToolsVisible : false,

			WMODE: 'Transparent',

			localeChain: 'fr_FR'
		}});

</script>