<?php
/**
 *
 * Environnement/historique.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
echo $this->Html->css(array('zones/environnement/environnement'), null, array('inline' => false));
echo $this->Html->css(array('zones/courrier/bannette'), null, array('inline' => false));
?>
<div class="" id="bannettesContainer">
	<div id="bannettes">
		<div id="accordion">
			<?php
			foreach ($historique as $desktop => $closedFlux) {
				echo $this->Bannette->create($closedFlux, $desktop, array('sortable' => false, 'checkable' => false, 'filter' => true, 'translateBannetteName' => false, 'date' => 'datereception'));
			}
			?>
		</div>
	</div>
</div>
<script type="text/javascript">
	$( "#accordion" ).accordion({
		fillSpace: true
	});
</script>