<?php
/**
 *
 * Environnement/userenv.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
echo $this->Html->css(array('zones/environnement/environnement'), null, array('inline' => false));
echo $this->Html->css(array('zones/repertoire/index'), null, array('inline' => false));
echo $this->Html->css(array('zones/recherche/index'), null, array('inline' => false));
echo $this->Html->css(array('zones/affaire/index'), null, array('inline' => false));
echo $this->Html->css(array('zones/courrier/bannette'), null, array('inline' => false));
?>

<script type="text/javascript">
	function messageHideShow() {
		$('#message_compos').toggle("slow");
	}
       
</script>

<div id="userenv_tabs">
    <ul>
        <li><a href="#bannettesContainer"><?php echo $this->Html->image("/img/mes_bannettes.png") . " " . __d('menu', 'Mes Bannettes'); ?></a></li>
        <li><a href="/repertoires"><?php echo $this->Html->image("/img/repertoire_16.png") . " " . __d('menu', 'Mes Repertoires'); ?></a></li>
    </ul>
    <div id="bannettesContainer">
        <div id="bannettes">
            <div id="accordion">
                 
				<?php        
                                //echo json_encode($bannettes);
				foreach ($bannettes as $bannetteName => $bannetteContent) {
					$bannetteOptions = array(
						'sortable' => false,
						'checkable' => true,
						'filter' => true,
						'translateBannetteName' => true,
						'date' => 'datereception'
					);
					echo $this->Bannette->create($bannetteContent, $bannetteName, $bannetteOptions);                                         
                                }                              
				?>
                
                
            </div>
        </div>
        <div id="bannetteControls" class="controls"></div>
    </div>
</div>
<script type="text/javascript">
	gui.tabs({
		element: $('#userenv_tabs'),
		noErrorMsg: true,
		loaderMessage: gui.loaderMessage
	});

<?php if ($tab != null) { ?>
		$('#userenv_tabs').tabs('select', <?php echo $tab; ?>);
<?php } ?>

	gui.buttonbox({element: $("#bannetteControls")});
	gui.buttonbox({element: $("#notificationControls")});

	$('#MessageBoxAbsence').click(function() {
		gui.formMessage({
			url: "/users/get_absence"
		})
	});

	function selectService(parentSelect) {
		var desktopId = $('option:selected', $(parentSelect)).val();

		$('#serviceCreateFlux option').css('display', 'none');
		$('#serviceCreateFlux option.void').css('display', 'block');
		$('#serviceCreateFlux option.desktop' + desktopId).css('display', 'block');
	}


<?php
if (!empty($add) && !empty($addservice)) {

	$addSelect = '<h3>' . __d('desktop', 'Desktop.choice') . '</h3>';
	$addSelect .= '<form id="desktopCreateForm" name="desktopCreateForm" action="#">';

	$addSelect .= '<div class="input select required">';
	$addSelect .= '<select id="desktopCreateFlux" required="1" name="desktopCreateFlux" onchange="selectService(this)">';
	$addSelect .= '<option class="void" value=""> --- </option>';
	foreach ($add as $desktopId => $desktopName) {
		$addSelect .= '<option value="' . $desktopId . '">' . $desktopName . '</option>';
	}
	$addSelect .= '</select>';
	$addSelect .= '<label for="desktopCreateFlux" class="ui-state-error" style="display:none;">Ce champ est requis.</label>';
	$addSelect .= '</div>';


	// FIXME

	$addSelect .= '<h3>Veuillez sélectionner un service</h3>';
	$addSelect .= '<div class="input select required">';
	$addSelect .= '<select id="serviceCreateFlux" name="serviceCreateFlux">';
	$addSelect .= '<option style="display:none;" class="void" value=""> --- </option>';
	foreach ($add as $desktopId => $desktopName) {
		foreach ($addservice[$desktopId] as $serviceId => $serviceName) {
			$addSelect .= '<option style="display:none;" class="desktop' . $desktopId . '" value="' . $serviceId . '">' . str_replace("'", "&#039;", $serviceName) . '</option>';
		}
	}
	$addSelect .= '</select>';
	$addSelect .= '<label for="serviceCreateFlux" class="ui-state-error" style="display:none;">Ce champ est requis.</label>';
	$addSelect .= '</div>';

	$addSelect .= '</form>';
	?>




		gui.addbutton({
			element: $('#bannetteControls'),
			button: {
				content: '<?php echo $this->Html->image("icons/courrier-new.png") . " " . __d('courrier', 'New Courrier'); ?>',
				action: function() {
					gui.message({
						title: '<?php echo __d('courrier', 'New Courrier'); ?>',
						msg: '<?php echo $addSelect; ?>',
						buttons: {
							'<?php echo __d('default', 'Button.submit'); ?>': function() {
								if ($('#desktopCreateFlux option:selected').val() != '' && $('#serviceCreateFlux option:selected').val() != '') {
									window.location.href = '<?php echo $this->Html->url(array('controller' => 'courriers', 'action' => 'add')); ?>/' + $('#desktopCreateFlux option:selected').val() + '/' + $('#serviceCreateFlux option:selected').val();
								}
								else {
									$("#desktopCreateForm label.ui-state-error").hide();
									$("#desktopCreateForm select").removeClass('ui-state-highlight');

									// Pour la liste des bureaux
									if ($('#desktopCreateFlux option:selected').val() == '') {
										$("#desktopCreateFlux").addClass('ui-state-highlight');
										$("#desktopCreateFlux").parent('div.input').find('label.ui-state-error').show();
									}

									// Pour la liste des services
									if ($('#serviceCreateFlux option:selected').val() == '') {
										$("#serviceCreateFlux").addClass('ui-state-highlight');
										$("#serviceCreateFlux").parent('div.input').find('label.ui-state-error').show();
									}
								}
							},
							'<?php echo __d('default', 'Button.cancel'); ?>': function() {
								$(this).dialog('close');
							}
						}
					});
				}
			}
		});
	<?php
}
?>

	gui.addbutton({
		element: $('#bannetteControls'),
		button: {
			content: '<?php echo $this->Html->image("icons/repertoire-add.png") . " " . __d('repertoire', 'Repertoire.link'); ?>',
			action: function() {

				var bannette;
				$('#bannettesContainer .bannette_panel').each(function() {
					if ($(this).css('display') != "none") {
						bannette = $(this);
					}
				});
				var tabChecked = new Array();
				$('.checkItem', bannette).each(function() {
					if ($(this).attr('checked') == 'checked') {
						tabChecked.push($(this).attr('itemId'));
					}
				});

				if (tabChecked.length == 0) {
					gui.message({
						title: 'Ajouter des flux à un repertoire',
						msg: 'Veuillez choisir au moins un flux'
					});
				} else {

					var form = "<form id='formChecked'>";
					for (i in tabChecked) {
						form += '<input type="hidden" name="data[itemToLink][]" value="' + tabChecked[i] + '">';
					}
					form += "</form>";

					gui.formMessage({
						title: 'Choisir le repertoire auquel ajouter les flux',
						url: "/repertoires/linkGroup",
						data: $(form).serialize(),
						buttons: {
							"<?php echo __d('default', 'Button.submit'); ?>": function() {
								gui.request({
									url: "/repertoires/linkGroup/",
									data: $('#RepertoireLinkGroupForm').serialize()
								}, function() {
									if (window.top.window.loadRepertoire) {
										loadRepertoire($('#repertoireSelected').val());
									} else {
										jQuery.jGrowl('Les informations ont été enregistrées', {});
									}
									$('.checkItem', bannette).removeAttr('checked');
								});
								$(this).dialog('close');
							},
							"<?php echo __d('default', 'Button.cancel'); ?>": function() {
								$(this).dialog('close');
							}
						}
					});
				}
			}
		}
	});

<?php
if (!empty($add)) {
	?>

		// Ajout d'un bouton permettant le renvoi vers un aiguilleur ou un autre initiateur
		gui.addbutton({
			element: $('#bannetteControls'),
			button: {
				content: '<?php echo $this->Html->image("edit-undo.png") . " " . __d('courrier', 'Courrier.sendbacktodisp'); ?>',
				action: function() {
                                        /*
					var bannette;
					$('#bannettesContainer .bannette_panel').each(function() {
						if ($(this).css('display') != "none") {
							bannette = $(this);
						}
					});
					var tabChecked = new Array();
					$('.checkItem', bannette).each(function() {
						if ($(this).attr('checked') == 'checked') {
                                                        tabChecked.push($(this).attr('itemId'));     
						}
					});
                                        */
                                        //vérifier tous les checkbox de tous les tabs
                                        var tabChecked = new Array();
                                        $('input[type="checkbox"]:checked').each(
                                            function() {
                                                   tabChecked.push($(this).attr('itemId')); 
                                            }
                                        );
					if (tabChecked.length == 0) {
						gui.message({
							title: 'Envoi de flux à un aiguilleur ou un autre initiateur',
							msg: 'Veuillez choisir au moins un flux'
						});
					} else {

						var form = "<form id='formChecked'>";
						for (i in tabChecked) {
							form += '<input type="hidden" name="data[checkItem][]" value="' + tabChecked[i] + '">';
						}
						form += "</form>";


						gui.formMessage({
							title: 'Ré-aiguillage du flux',
							url: "/courriers/sendBackToDisp",
							data: $(form).serialize(),
							buttons: {
								"<?php echo __d('default', 'Button.submit'); ?>": function() {
									gui.request({
										url: '/courriers/sendBackToDisp',
										data: $('#CourrierSendBackToDispForm').serialize()
									}, function() {
										//$('.checkItem', bannette).removeAttr('checked');
										$('input[type="checkbox"]').attr('checked', false);
                                                                                window.location.reload();
										jQuery.jGrowl('Les informations ont été enregistrées', {});
									});
									$(this).dialog('close');
								},
								"<?php echo __d('default', 'Button.cancel'); ?>": function() {
									$(this).dialog('close');
								}
							}
						});
					}
				}
			}
		});


<?php } ?>

	$("#accordion").accordion({
		fillSpace: true
	});
        
        //vérifier si checked un flux qui est en train de traiter, si oui, pas de bouton "Ré-aiguillage"
        var nbInCircuit = 0;
        var inCircuitId = new Array();
        $(".checkItem").change(function() {
            if ($(this).attr('checked') == 'checked') {
                var fluxId = $(this).attr('itemId');
                $.ajax({
                    type: 'post',
                    dataType: 'json',
                    url: '/Courriers/isInTraite',
                    data: 'fluxId='+fluxId,
                    success: function(data) {
                        if(data['inCircuit']==true){
                            if($.inArray(fluxId,inCircuitId) == -1){
                                inCircuitId.push(fluxId); 
                            }
                            nbInCircuit = inCircuitId.length;
                            //console.log(nbInCircuit);
                            isButtonAiguillage(nbInCircuit);
                        }
                    }
                });
            }else{
                var fluxId = $(this).attr('itemId');
                $.ajax({
                    type: 'post',
                    dataType: 'json',
                    url: '/Courriers/isInTraite',
                    data: 'fluxId='+fluxId,
                    success: function(data) {
                        if(data['inCircuit']==true){
                            var index = inCircuitId.indexOf(fluxId);
                            if(index!=-1){
                                inCircuitId.splice(index,1);
                            }
                            nbInCircuit = inCircuitId.length;
                            //console.log(nbInCircuit);
                            isButtonAiguillage(nbInCircuit);
                        }
                    }
                }); 
            }
        });
        function isButtonAiguillage(nbInCircuit){
            if(nbInCircuit==0){
                gui.enablebutton({
                    element: $('#bannetteControls'),
                    button: 3,
                    action: function() {
                        //vérifier tous les checkbox de tous les tabs
                        var tabChecked = new Array();
                        $('input[type="checkbox"]:checked').each(
                            function() {
                                   tabChecked.push($(this).attr('itemId')); 
                            }
                        );
                        if (tabChecked.length == 0) {
                            gui.message({
                                    title: 'Envoi de flux à un aiguilleur ou un autre initiateur',
                                    msg: 'Veuillez choisir au moins un flux'
                            });
                        } else {
                            var form = "<form id='formChecked'>";
                            for (i in tabChecked) {
                                    form += '<input type="hidden" name="data[checkItem][]" value="' + tabChecked[i] + '">';
                            }
                            form += "</form>";


                            gui.formMessage({
                                title: 'Ré-aiguillage du flux',
                                url: "/courriers/sendBackToDisp",
                                data: $(form).serialize(),
                                buttons: {
                                    "<?php echo __d('default', 'Button.submit'); ?>": function() {
                                            gui.request({
                                                    url: '/courriers/sendBackToDisp',
                                                    data: $('#CourrierSendBackToDispForm').serialize()
                                            }, function() {
                                                    //$('.checkItem', bannette).removeAttr('checked');
                                                    $('input[type="checkbox"]').attr('checked', false);
                                                    window.location.reload();
                                                    jQuery.jGrowl('Les informations ont été enregistrées', {});
                                            });
                                            $(this).dialog('close');
                                    },
                                    "<?php echo __d('default', 'Button.cancel'); ?>": function() {
                                            $(this).dialog('close');
                                    }
                                }
                            });
                        }
                    }
                });

            }else{
                gui.disablebutton({
                        element: $('#bannetteControls'),
                        button: 3,
                        unbindAction:true
                });
            }
        }
</script>