<?php
/**
 *
 * Keywordlists/edit.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
$dlcontent = $this->Html->tag('dt', __d('keyword', 'Keywordlist.nom'), array('class' => 'ui-state-focus'));
$dlcontent .= $this->Html->tag('dd', $this->data['Keywordlist']['nom']);

$form = $this->Form->create('Keywordlist');
$form .= $this->Form->input('Keywordlist.id');
$form .= $this->Form->input('Keywordlist.active', array('label' => false, 'div' => false));
$form .= $this->Form->end();

echo $this->Html->tag('dl', $dlcontent, array('class' => 'ui-widget-content ui-corner-all'));
$legend = $this->Html->tag('legend', 'Lié à la collectivité');
echo $this->Html->tag('fieldset', $legend . $form);

$content = '';
foreach ($keywords as $item) {
	$content .= $this->Html->tag('li', $item);
}
$legend2 = $this->Html->tag('legend', 'Mot-clès associés');
echo $this->Html->tag('fieldset', $legend2 . $this->Html->tag('div', $this->Html->tag('ul', $content), array('class' => 'thesaurusKeywords')));
?>
<script type="text/javascript">
	gui.enablebutton({
		element: $('#infos .controls'),
		button: '<?php echo __d('default', 'Button.submit'); ?>'
	});
	gui.enablebutton({
		element: $('#infos .controls'),
		button: '<?php echo __d('default', 'Button.cancel'); ?>'
	});
</script>
