<?php
/**
 *
 * Layouts/login.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
/**
 *
 * PHP versions 4 and 5
 *
 * CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
 * Copyright 2005-2010, Cake Software Foundation, Inc. (http://cakefoundation.org)
 *
 * Licensed under The MIT License
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright     Copyright 2005-2010, Cake Software Foundation, Inc. (http://cakefoundation.org)
 * @link          http://cakephp.org CakePHP(tm) Project
 * @package       cake
 * @subpackage    cake.cake.libs.view.templates.layouts
 * @since         CakePHP(tm) v 0.10.0.1076
 * @license       MIT License (http://www.opensource.org/licenses/mit-license.php)
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<?php echo $this->Html->charset(); ?>
		<title>
			<?php echo __d('default', 'titre'); ?>
		</title>
		<?php
		echo $this->Html->meta('icon');
		echo $this->fetch('meta');
		echo $this->fetch('css');
		echo $this->Html->css(array(JQUERYCSS . 'jquery-ui-' . JQUERYUIVERSION . '.custom', JQUERYCSSBASE . 'jquery.jgrowl', 'webgfc', 'login'));

		echo $this->fetch('script');
		echo $this->Html->script(array(JQUERYJSBASE . 'jquery-' . JQUERYVERSION, JQUERYJSBASE . 'jquery-ui-' . JQUERYUIVERSION . '.custom.min', JQUERYJSBASE . 'jquery.ui.datepicker-fr', JQUERYJSBASE . 'jquery.jgrowl', JQUERYJSBASE . 'jquery.validate', JQUERYJSBASE . 'jquery.validate.messages_fr', JQUERYJSBASE . 'jquery.simpleclass', 'gui', 'default'));
		?>
	</head>
	<body>
		<?php echo $this->Html->tag('div', '&nbsp;', array('class' => 'logo_titre')); ?>
		<div id="container">
			<div id="header"></div>
			<div id="content">
				<div id="realcontent" >
					<?php echo $this->Session->flash(); ?>
					<?php echo $this->fetch('content'); ?>
				</div>
			</div>
		</div>
		<span id="versionInfo"><span class="bold">Version : </span><?php echo WEBGFCVERSION; ?></span>
	</body>
</html>