<?php
/**
 *
 * Metadonnees/add.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
echo $this->Form->create('Metadonnee');
echo $this->Form->input('Metadonnee.name', array('label' => __d('metadonnee', 'Metadonnee.name')));

echo $this->Form->input('Soustype.Soustype', array( 'type' => 'select', 'multiple' => true, 'options' => $listeSoustypes, 'label' => __d('metadonnee', 'Metadonnee.soustype_id')));

echo $this->Form->input('Metadonnee.typemetadonnee_id', array('label' => __d('metadonnee', 'Metadonnee.typemetadonnee_id'), 'options' => $typemetadonnees, 'empty' => true));
?>
<?php echo $this->Html->tag('h3', 'Veuillez enregistrer pour pouvoir saisir des valeurs pour cette métadonnée', array('id' => 'addValue')); ?>

<script type="text/javascript">

	$('#MetadonneeAddForm').validate({
		rules: {
			'data[Metadonnee][name]': 'required',
			'data[Metadonnee][typemetadonnee_id]': 'required'
		}
	});


	gui.enablebutton({
		element: $('#infos .controls'),
		button: '<?php echo __d('default', 'Button.submit'); ?>'
	});
	gui.enablebutton({
		element: $('#infos .controls'),
		button: '<?php echo __d('default', 'Button.cancel'); ?>'
	});
    
    $('#addValue').css('display', 'none');
    var valOfSelect = <?php echo Configure::read('Selectvaluemetadonnee.id');?>;
    $(document).ready(function(){
		if ($('#MetadonneeTypemetadonneeId').val() == valOfSelect ){
			$('#addValue').css('display', 'block');
		} else {
			$('#addValue').css('display', 'none');
		}
        
        $('#MetadonneeTypemetadonneeId').change(function(){
            if ($('#MetadonneeTypemetadonneeId').val() == valOfSelect ){
                $('#addValue').css('display', 'block');
            } else {
                $('#addValue').css('display', 'none');
            }    
        });
	});

    $(document).ready(function() {
        $('#SoustypeSoustype').select2();
    });
</script>