<?php

/**
 *
 * Metadonnees/get_metadonnees.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php

if (!empty($metadonnees)) {
	$fields = array(
		'name'
	);
	$actions = array(
		"edit" => array(
			"url" => Configure::read('BaseUrl') . '/metadonnees/edit',
			"updateElement" => "$('#infos .content')",
			"formMessage" => false
		),
		"delete" => array(
			"url" => Configure::read('BaseUrl') . '/metadonnees/delete',
			"updateElement" => "$('#infos .content')",
			"refreshAction" => "loadMeta();"
		)
	);
	$options = array();
	$this->Liste->draw($metadonnees, 'Metadonnee', $fields, $actions, $options);
} else {
	echo __d('metadonnee', 'Metadonnee.void');
}
?>
