<?php
	$this->Csv->preserveLeadingZerosInExcel = true;
    
    $this->Csv->addRow(
        array(
            'Référence',
            'Nom',
            'Objet',
            'Date d\'entrée dans la collectivité',
            'Date de réception',
            'Contact',
            'Fiche contact',
            'Type',
            'Sous-type',
            'Retard',
            'Dossier',
            'Affaire',
            'Nom de la tâche associée'
		)
	);

	foreach( $flux as $result ) {
		$row = array(
			Hash::get( $result, 'Courrier.reference' ),
			Hash::get( $result, 'Courrier.name' ),
			Hash::get( $result, 'Courrier.objet' ),
			$this->Html2->ukToFrenchDateWithSlashes( Hash::get( $result, 'Courrier.date' ) ),
			$this->Html2->ukToFrenchDateWithSlashes( Hash::get( $result, 'Courrier.datereception' ) ),
			Hash::get( $result, 'Contact.name' ),
			Hash::get( $result, 'Contactinfo.name' ),
			Hash::get( $result, 'Type.name' ),
			Hash::get( $result, 'Soustype.name' ),
			( Hash::get( $result, 'Courrier.retard' ) ? 'Oui' : 'Non'),
			Hash::get( $result, 'Dossier.name' ),
			Hash::get( $result, 'Affaire.name' ),
			Hash::get( $result, 'Tache.name' )
		);
		$this->Csv->addRow( $row );
	}
    
	Configure::write( 'debug', 0 );
	echo $this->Csv->render( "{$this->request->params['controller']}_{$this->request->params['action']}_".date( 'Ymd-His' ).'.csv' );
?>