<?php
/**
 *
 * Recherches/formulaire.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>



<script type="text/javascript">
	function setJSelect(select) {
		var id = select.attr('id');

		$('option', select).each(function() {
			$(this).addClass('item');
			$(this).attr('sId', $(this).val());
		});
//        editItem( $('select#DesktopDesktop.JSelectMultiple'));

		var newList = $('<ul>');
		newList.attr('id', id + 'List');
		newList.addClass('jSelectList');

		var addAllBttn = $('<span>');
		addAllBttn.html('Tout ajouter');
		addAllBttn.button();
		$('span', $(addAllBttn)).css('padding', '3px');
		addAllBttn.click(function() {
			$('option', select).removeAttr('selected').each(function() {
				if ($(this).css('display') == 'block') {
					$(this).attr('selected', 'selected');
					addItem(select);
				}
			});
		});

		select.after(newList.before('<br />Liste des critères selectionnés : ')).after(addAllBttn.before(' '));

		var duplicatedSelect = select.clone(true);
		duplicatedSelect.attr('multiple', 'multiple');
		duplicatedSelect.attr('id', duplicatedSelect.attr('id') + "duplicated");
		$('option', duplicatedSelect).each(function() {
			if ($(this).val() == '' || $(this).val() == 'undefined') {
				$(this).remove();
			}
		});
		duplicatedSelect.css('display', 'none');
		select.before(duplicatedSelect);
		select.attr('name', '');
		select.removeAttr('multiple');
		select.css('width', '250px');
		select.css({
			width: '250px',
			position: 'relative',
			top: '-3px'
		});

		select.change(function() {
			addItem($(this));
		});
        
 
	}

	function delItem(e) {
		var select = $('#' + e.attr('parentSelect'));
		var list = e.parent().parent().parent();
		var listItem = e.parent().parent();
		var sId = e.attr('sId');
		var item;
		$('option', select).each(function() {
			if ($(this).attr('sId') == sId) {
				item = $(this);
			}
		});
		var realItem;
		$('#' + select.attr('id') + 'duplicated option').each(function() {
			if ($(this).attr('sId') == sId) {
				realItem = $(this);
			}
		});

		listItem.remove();
		item.css('display', 'block');
		realItem.removeAttr('selected');

		if ($('li', list).length == 0 && $('.delAllBttn[listId=' + list.attr('id') + ']').length != 0) {
			$('.delAllBttn[listId=' + list.attr('id') + ']').remove();
		}
	}

	function addItem(select) {
		var id = select.attr('id');
		var item = $('option:selected', select);
		var list = $('#' + id + 'List');
		var realItem;
		$('#' + id + 'duplicated option').each(function() {
			if ($(this).attr('sId') == item.attr('sId')) {
				realItem = $(this);
			}
		});

		if (item !== 'undefined' && item.html() !== 'undefined' && item.html() != "") {
			var li = $('<li>');
			li.attr('sId', item.val());
			li.addClass('duplicatedId' + item.val());

			var div = $('<div>');
			div.css({
				'width': '350px',
				'padding': '5px'
			}).addClass('ui-corner-all ui-widget-content');
			div.hover(function() {
				$(this).addClass('ui-state-hover');
			}, function() {
				$(this).removeClass('ui-state-hover');
			});
			div.html(item.html());


			var delBttn = $('<span>');
			delBttn.html('<?php echo $this->Html->image('icons/cancel.png', array('alt' => 'enlever', 'title' => 'enlever', 'style' => 'vertical-align:middle;')); ?>');
			delBttn.addClass('delBttn');
			delBttn.css({
				'float': 'right',
				'cursor': 'pointer'
			});
			delBttn.attr('parentSelect', id);
			delBttn.attr('sId', item.val());

			$('span', $(delBttn)).css('padding', '1px');
			delBttn.click(function() {
				delItem($(this));
			});

			list.append(li.append(div.append(delBttn)));
			item.css('display', 'none');
			$('option:selected', select).removeAttr('selected');
			realItem.attr('selected', 'selected');
		}

		if ($('li', list).length > 0 && $('.delAllBttn[listId=' + list.attr('id') + ']').length == 0) {
			var delAllBttn = $('<span>');
			delAllBttn.html('Tout enlever');
			delAllBttn.addClass('delAllBttn');
			delAllBttn.attr('listId', list.attr('id'));
			delAllBttn.button();
			$('span', $(delAllBttn)).css('padding', '3px');
			delAllBttn.click(function() {
				$('span.delBttn', list).each(function() {
					delItem($(this));
				});
				$(this).remove();
			});
			list.after(delAllBttn);
		}

        // Spécifique aux sous-valeurs des métadonnéees
//         if( select[0].id == 'MetadonneeMetadonnee' ) {
//             displayValueMeta(item.attr('sId'));
//         }
	}

    function editItem(select) {
		var id = select.attr('id');
		var item = $('option:selected', select);
		var list = $('#' + id + 'List');
		var realItem = [];
        
        select.each(function() {
			if( $(this).is(':selected') ){
                realItem.push($(this));
            }
		});
        
		if (item !== 'undefined' && item.html() !== 'undefined' && item.html() != "") {

			var li = $('<li>');
			li.attr('sId', item.val());
			li.addClass('duplicatedId' + item.val());

			var div = $('<div>');
			div.css({
				'width': '350px',
				'padding': '5px'
			}).addClass('ui-corner-all ui-widget-content');
			div.hover(function() {
				$(this).addClass('ui-state-hover');
			}, function() {
				$(this).removeClass('ui-state-hover');
			});
			div.html(item.html());


			var delBttn = $('<span>');
			delBttn.html('<?php echo $this->Html->image('icons/cancel.png', array('alt' => 'enlever', 'title' => 'enlever', 'style' => 'vertical-align:middle;')); ?>');
			delBttn.addClass('delBttn');
			delBttn.css({
				'float': 'right',
				'cursor': 'pointer'
			});
			delBttn.attr('parentSelect', id);
			delBttn.attr('sId', item.val());

			$('span', $(delBttn)).css('padding', '1px');
			delBttn.click(function() {
				delItem($(this));
			});

			list.append(li.append(div.append(delBttn)));
			item.css('display', 'none');
			$('option:selected', select).removeAttr('selected');
			
            for( var i = 0; i < realItem.length; i++ ){
                realItem[i].attr('selected', 'selected');
            }
            
		}


		if ($('li', list).length > 0 && $('.delAllBttn[listId=' + list.attr('id') + ']').length == 0) {
			var delAllBttn = $('<span>');
			delAllBttn.html('Tout enlever');
			delAllBttn.addClass('delAllBttn');
			delAllBttn.attr('listId', list.attr('id'));
			delAllBttn.button();
			$('span', $(delAllBttn)).css('padding', '3px');
			delAllBttn.click(function() {
				$('span.delBttn', list).each(function() {
					delItem($(this));
				});
				$(this).remove();
			});
			list.after(delAllBttn);
		}
    }


	function resetJSelect(formId) {
		$(formId).find(':input').each(function() {
			switch (this.type) {
				case 'password':
				case 'select-multiple':
				case 'select-one':
				case 'text':
				case 'textarea':
					$(this).val('');
					break;
				case 'checkbox':
				case 'radio':
					this.checked = false;
			}
		});

		$('.jSelectList', $(formId)).empty();
		$('select option', $(formId)).removeAttr('selected');
		$('select option', $(formId)).css('display', 'block');
		$('.delAllBttn').remove();

	}
    



</script>


<?php
echo $this->Html->css(array('zones/recherche/index'), null, array('inline' => false));
echo $this->Form->create('Recherche');

// Bloc Informations du flux
$fieldset1 = $this->Html->tag('h3', __d('recherche', 'Informations'));
$fieldset1 .= $this->Form->input('Recherche.creference', array('label' => __d('recherche', 'Recherche.creference')));
$fieldset1 .= $this->Form->input('Recherche.cname', array('label' => __d('recherche', 'Recherche.cname')));
$fieldset1 .= $this->Form->input('Recherche.cobjet', array('label' => __d('recherche', 'Recherche.cobjet')));
$fieldset1 .= $this->Form->input('Desktop.Desktop', array('options' => $affairesuiviepars, 'empty' => true, 'multiple' => true, 'class' => 'JSelectMultiple', 'label' => __d('recherche', 'Recherche.caffairesuiviepar_id')));
$fieldset1 .= $this->Html->tag('br');
$fieldset1 .= $this->Form->input('Recherche.cdatereception', array('label' => __d('recherche', 'Recherche.cdatereception'), 'type' => 'text', 'class' => 'datepicker'));
$fieldset1 .= $this->Form->input('Recherche.cdatereceptionfin', array('label' => __d('recherche', 'Recherche.cdatereceptionfin'), 'type' => 'text', 'class' => 'datepicker'));
$fieldset1 .= $this->Html->tag('br');
$fieldset1 .= $this->Form->input('Recherche.cdate', array('label' => __d('recherche', 'Recherche.cdate'), 'type' => 'text', 'class' => 'datepicker'));
$fieldset1 .= $this->Form->input('Recherche.cdatefin', array('label' => __d('recherche', 'Recherche.cdatefin'), 'type' => 'text', 'class' => 'datepicker'));
$fieldset1 .= $this->Html->tag('br');
$fieldset1 .= $this->Form->input('Recherche.contactname', array('label' => __d('recherche', 'Recherche.contactname')));
$fieldset1 .= $this->Html->tag('div', 'ou');
$fieldset1 .= $this->Form->input('Contact.Contact', array('empty' => true, 'multiple' => true, 'class' => 'JSelectMultiple', 'label' => __d('recherche', 'Recherche.Contact')));
echo $this->Html->tag('fieldset', $fieldset1, array('class' => 'ui-widget ui-widget-content ui-corner-all'));

// Bloc Qualifications
$fieldset2 = $this->Html->tag('h3', __d('recherche', 'Qualifications'));
$fieldset2 .= $this->Form->input('Type.Type', array( 'options' => $types, 'empty' => true, 'multiple' => true, 'class' => 'JSelectMultiple', 'label' => __d('recherche', 'Recherche.Type')));
$fieldset2 .= $this->Html->tag('br');
$fieldset2 .= $this->Form->input('Soustype.Soustype', array( 'options' => $soustypes,  'empty' => true, 'multiple' => true, 'class' => 'JSelectMultiple', 'label' => __d('recherche', 'Recherche.Soustype')));
echo $this->Html->tag('fieldset', $fieldset2, array('class' => 'ui-widget ui-widget-content ui-corner-all'));

// bloc Métadonnées
$fieldset3 = $this->Html->tag('h3', __d('recherche', 'Metadonnées'));
$fieldset3 .= $this->Form->input('Metadonnee.Metadonnee', array( 'options' => $metadonnees, 'empty' => true, 'multiple' => true, 'class' => 'JSelectMultiple', 'label' => __d('recherche', 'Recherche.Metadonnee')));
echo $this->Html->tag('fieldset', $fieldset3, array('class' => 'ui-widget ui-widget-content ui-corner-all'));

// bloc Valeurs des Métadonnées
$fieldset7 = $this->Html->tag('h3', __d('recherche', 'Valeurs par Métadonnées'));
// $fieldset7 .= $this->Form->input('Metadonnee.valeurMetadonnee', array('empty' => true, 'multiple' => true, 'class' => 'JSelectMultiple', 'label' => __d('recherche', 'Recherche.ValeurMetadonnee')));

//debug($metas);
    foreach ($metas as $i => $meta) {
        $inputOptions = array(
            'label' => $meta['Metadonnee']['name'],
            'type' => 'text',
            'class' => 'text'
        );
        if ($meta['Metadonnee']['typemetadonnee_id'] == 1) {
            $inputOptions['size'] = '10';
            $inputOptions['class'] = 'date';
        }
        if ($meta['Metadonnee']['typemetadonnee_id'] == 3) {
            $inputOptions = array(
                'type' => 'select',
                'div' => true,
                'label' => $meta['Metadonnee']['name'],
                'options' => $valueSelectMeta,
                'empty' => true
            );
        }
        
        
        
        
        // Ajout de la valeur Select dans le type de métadonnée
        $valOfSelect =  Configure::read('Selectvaluemetadonnee.id');
        if ($meta['Metadonnee']['typemetadonnee_id'] == $valOfSelect ) {
            $valueByMeta = Hash::combine($meta['Selectvaluemetadonnee'], '{n}.id', '{n}.name');

            $inputOptions = array(
                'type' => 'select',
                'div' => true,
                'label' => $meta['Metadonnee']['name'],
                'class' => 'select',
                'options' => !empty( $meta['Selectvaluemetadonnee'] ) ? $valueByMeta : null,
                'empty' => true
            );
        }
//debug($inputOptions);
        $fieldset7 .= $this->Form->input("Selectvaluemetadonnee.Selectvaluemetadonnee.{$meta['Metadonnee']['id']}", $inputOptions);

        if ($meta['Metadonnee']['typemetadonnee_id'] == 1) {
            ?>
            <script type="text/javascript">
                gui.datepicker({
                    element: $("#<?php echo "SelectvaluemetadonneeSelectvaluemetadonnee{$meta['Metadonnee']['id']}"; ?>"),
                    image: "/img/date.png"
                });
            </script>
            <?php
        }
    }

echo $this->Html->tag('fieldset', $fieldset7, array('class' => 'ui-widget ui-widget-content ui-corner-all'));

// Bloc Circuit
$fieldset4 = $this->Html->tag('h3', __d('recherche', 'Circuit'));
$fieldset4 .= $this->Form->input('Circuit.Circuit', array('options' => $circuits, 'empty' => true, 'multiple' => true, 'class' => 'JSelectMultiple', 'label' => __d('recherche', 'Recherche.Circuit')));
echo $this->Html->tag('fieldset', $fieldset4, array('class' => 'ui-widget ui-widget-content ui-corner-all'));

// bloc Dossiers/Affaires
$fieldset5 = $this->Html->tag('h3', __d('recherche', 'Dossiers / Affaires'));
$fieldset5 .= $this->Form->input('Dossier.Dossier', array( 'options' => $dossiers, 'empty' => true, 'multiple' => true, 'class' => 'JSelectMultiple', 'label' => __d('recherche', 'Recherche.Dossier')));
$fieldset5 .= $this->Html->tag('br');
$fieldset5 .= $this->Form->input('Affaire.Affaire', array('options' => $affaires, 'empty' => true, 'multiple' => true, 'class' => 'JSelectMultiple', 'label' => __d('recherche', 'Recherche.Affaire')));
echo $this->Html->tag('fieldset', $fieldset5, array('class' => 'ui-widget ui-widget-content ui-corner-all'));

// Bloc Tâche
$fieldset6 = $this->Html->tag('h3', __d('recherche', 'Tache'));
$fieldset6 .= $this->Form->input('Tache.Tache', array('options' => $taches, 'empty' => true, 'multiple' => true, 'class' => 'JSelectMultiple', 'label' => __d('recherche', 'Recherche.Tache')));
echo $this->Html->tag('fieldset', $fieldset6, array('class' => 'ui-widget ui-widget-content ui-corner-all'));

// Bloc Commentaire
$fieldset8 = $this->Html->tag('h3', __d('recherche', 'Commentaires'));
$fieldset8 .= $this->Form->input('Recherche.ccomment', array('type' => 'text', 'label' => __d('recherche', 'Recherche.ccomment')));
echo $this->Html->tag('fieldset', $fieldset8, array('class' => 'ui-widget ui-widget-content ui-corner-all'));

// Bloc Recherche enregistrée
if ($mode != "search") {
	$fieldset = '';
	if ($mode == 'edit') {
		$fieldset .= $this->Form->input('Recherche.id');
	}
	$fieldset .= $this->Form->input('Recherche.name', array('type' => 'text', 'label' => __d('recherche', 'Recherche.nameinform')));
	echo $this->Html->tag('fieldset', $fieldset, array('style' => 'ui-widget ui-widget-content ui-corner-all'));
} else {
	echo $this->Html->tag('fieldset', $this->Form->input('RecherchesEnregistrees', array('label' => __d('recherche', 'Recherche'), 'options' => $recherches, 'empty' => true)), array('class' => 'ui-widget ui-widget-content ui-corner-all'));
}


echo $this->Form->button(__d('default', 'Button.reset'), array('type' => 'reset'));
echo $this->Form->end(__d('default', 'Button.search'));
?>


<script type="text/javascript">
            
<?php if ($mode != "search") { ?>
		$('#RechercheFormulaireForm').validate({
			rules: {
				'data[Recherche][name]': 'required'
			}
		});
<?php } ?>

	$('#RechercheFormulaireForm button').remove();
	$('#RechercheFormulaireForm input[type=submit]').remove();

	$('#RechercheCdate').before("<input type='text' id='dateAltField'></input>");
	$('#RechercheCdate').css('display', 'none');
	gui.datepicker({
		element: $("#RechercheCdate"),
		image: '/img/date.png',
		dateFormat: "yy-mm-dd",
		altFormat: "dd/mm/yy",
		altField: "#dateAltField"
	});

	$('#RechercheCdatefin').before("<input type='text' id='datefinAltField'></input>");
	$('#RechercheCdatefin').css('display', 'none');
	gui.datepicker({
		element: $("#RechercheCdatefin"),
		image: '/img/date.png',
		dateFormat: "yy-mm-dd",
		altFormat: "dd/mm/yy",
		altField: "#datefinAltField"
	});

	$('#RechercheCdatereception').before("<input type='text' id='datereceptionAltField'></input>");
	$('#RechercheCdatereception').css('display', 'none');
	gui.datepicker({
		element: $("#RechercheCdatereception"),
		image: '/img/date.png',
		dateFormat: "yy-mm-dd",
		altFormat: "dd/mm/yy",
		altField: "#datereceptionAltField"
	});

	$('#RechercheCdatereceptionfin').before("<input type='text' id='datereceptionfinAltField'></input>");
	$('#RechercheCdatereceptionfin').css('display', 'none');
	gui.datepicker({
		element: $("#RechercheCdatereceptionfin"),
		image: '/img/date.png',
		dateFormat: "yy-mm-dd",
		altFormat: "dd/mm/yy",
		altField: "#datereceptionfinAltField"
	});

    $('#MetadonneeValeurDate').before("<input type='text' id='dateValeurAltField'></input>");
    $('#MetadonneeValeurDate').css('display', 'none');
    gui.datepicker({
        element: $("#MetadonneeValeurDate"),
        image: '/img/date.png',
        dateFormat: "yy-mm-dd",
        altFormat: "dd/mm/yy",
        altField: "#dateValeurAltField"
    });
	$('.datepicker').change(function() {
		if ($(this).datepicker('getDate') != null) {
			$($(this).datepicker('option', 'altField')).val($.datepicker.formatDate("dd/mm/yy", $(this).datepicker('getDate')));
		}
	});
    // TODO: voir si ça ne va pas poser soucis par la suite ?
    $('.datepicker').trigger('change');


	$('#RechercheFormulaireForm select.JSelectMultiple').each(function() {
		setJSelect($(this));
	});


    // Chargement des listes déroulantes lors de l'édition des recherches enregistrées
    $('.item').each(function(){
        if( $(this).is(':selected') ){
            $(this).trigger('change');
        }
    });
    
	$('#RechercheRecherchesEnregistrees').change(function() {
		gui.request({
			url: '<?php echo Configure::read('BaseUrl') . '/recherches/formulaire/'; ?>' + $('option:selected', this).val() + '/search',
			loader: true,
			updateElement: $('#liste .content'),
			loaderMessage: gui.loaderMessage
		})
	});
    
    // Ajout de l'action de recherche via la touche Entrée
	$('#RechercheFormulaireForm').keyup(function(e){
		if(e.keyCode == 13) {
			$('#liste .controls .ui-button:first').trigger('click');
		}
	});


</script>

<script type="text/javascript">

    //contruction du tableau de metas / typemetadonnees
    var metas = [];
<?php foreach ($metas as $meta) { ?>
        var meta = {
            id: "<?php echo $meta['Metadonnee']['id']; ?>",
            typemetadonnee_id: "<?php echo $meta['Metadonnee']['typemetadonnee_id']; ?>",
            name: "<?php echo $meta['Metadonnee']['name']; ?>",
            typemetadonnee_name: "<?php echo $meta['Typemetadonnee']['name']; ?>",
            valuesmetas:[]
        };
    <?php foreach ($meta['Selectvaluemetadonnee'] as $i => $valueMeta) { ?>
            var valuemeta = {
                id: "<?php echo $valueMeta['id']; ?>",
                name: "<?php echo $valueMeta['name']; ?>"
            };
            meta.valuesmetas.push(valuemeta);
    <?php } ?>
        metas.push(meta);
<?php } ?>

</script>