<?php
/**
 *
 * Recherches/index.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php echo $this->Html->css(array('zones/administration/index'), null, array('inline' => false)); ?>
<?php echo $this->Html->css(array('zones/recherche/index'), null, array('inline' => false)); ?>
<script type="text/javascript">
	function switchSave() {
		if ($('#RechercheSave').attr('checked') != 'checked') {
			$('#RechercheName').attr('disabled', 'disabled');
		} else {
			$('#RechercheName').removeAttr('disabled');
		}
	}

	function setJSelect(select) {
		var id = select.attr('id');

		$('option', select).each(function() {
			$(this).addClass('item');
			$(this).attr('sId', $(this).val());
		});

		var newList = $('<ul>');
		newList.attr('id', id + 'List');
		newList.addClass('jSelectList');

		var addAllBttn = $('<span>');
		addAllBttn.html('Tout ajouter');
		addAllBttn.button();
		$('span', $(addAllBttn)).css('padding', '3px');
		addAllBttn.click(function() {
			$('option', select).removeAttr('selected').each(function() {
				if ($(this).css('display') == 'block') {
					$(this).attr('selected', 'selected');
					addItem(select);
				}
			});
		});

		select.after(newList.before('<br />Liste des critères selectionnés : ')).after(addAllBttn.before(' '));

		var duplicatedSelect = select.clone(true);
		duplicatedSelect.attr('multiple', 'multiple');
		duplicatedSelect.attr('id', duplicatedSelect.attr('id') + "duplicated");
		$('option', duplicatedSelect).each(function() {
			if ($(this).val() == '' || $(this).val() == 'undefined') {
				$(this).remove();
			}
		});
		duplicatedSelect.css('display', 'none');
		select.before(duplicatedSelect);
		select.attr('name', '');
		select.removeAttr('multiple');
		select.css('width', '250px');

		select.change(function() {
			addItem($(this));
		});
	}

	function delItem(e) {
		var select = $('#' + e.attr('parentSelect'));
		var list = e.parent().parent().parent();
		var listItem = e.parent().parent();
		var sId = e.attr('sId');
		var item;
		$('option', select).each(function() {
			if ($(this).attr('sId') == sId) {
				item = $(this);
			}
		});
		var realItem;
		$('#' + select.attr('id') + 'duplicated option').each(function() {
			if ($(this).attr('sId') == sId) {
				realItem = $(this);
			}
		});

		listItem.remove();
		item.css('display', 'block');
		realItem.removeAttr('selected');

		if ($('li', list).length == 0 && $('.delAllBttn[listId=' + list.attr('id') + ']').length != 0) {
			$('.delAllBttn[listId=' + list.attr('id') + ']').remove();
		}
	}

	function addItem(select) {
		var id = select.attr('id');
		var item = $('option:selected', select);
		var list = $('#' + id + 'List');
		var realItem;
		$('#' + id + 'duplicated option').each(function() {
			if ($(this).attr('sId') == item.attr('sId')) {
				realItem = $(this);
			}
		});

		if (item !== 'undefined' && item.html() !== 'undefined' && item.html() != "") {
			var li = $('<li>');
			li.attr('sId', item.val());
			li.addClass('duplicatedId' + item.val());

			var div = $('<div>');
			div.css({
				'width': '350px',
				'padding': '5px'
			}).addClass('ui-corner-all ui-widget-content');
			div.hover(function() {
				$(this).addClass('ui-state-hover');
			}, function() {
				$(this).removeClass('ui-state-hover');
			});
			div.html(item.html());


			var delBttn = $('<span>');
			delBttn.html('<?php echo $this->Html->image('icons/cancel.png', array('alt' => 'enlever', 'title' => 'enlever', 'style' => 'vertical-align:middle;')); ?>');
			delBttn.addClass('delBttn');
			delBttn.css({
				'float': 'right',
				'cursor': 'pointer'
			});
			delBttn.attr('parentSelect', id);
			delBttn.attr('sId', item.val());

			$('span', $(delBttn)).css('padding', '1px');
			delBttn.click(function() {
				delItem($(this));
			});

			list.append(li.append(div.append(delBttn)));
			item.css('display', 'none');
			$('option:selected', select).removeAttr('selected');
			realItem.attr('selected', 'selected');
		}

		if ($('li', list).length > 0 && $('.delAllBttn[listId=' + list.attr('id') + ']').length == 0) {
			var delAllBttn = $('<span>');
			delAllBttn.html('Tout enlever');
			delAllBttn.addClass('delAllBttn');
			delAllBttn.attr('listId', list.attr('id'));
			delAllBttn.button();
			$('span', $(delAllBttn)).css('padding', '3px');
			delAllBttn.click(function() {
				$('span.delBttn', list).each(function() {
					delItem($(this));
				});
				$(this).remove();
			});
			list.after(delAllBttn);
		}
	}

	function resetJSelect(formId) {
		$(formId).find(':input').each(function() {
			switch (this.type) {
				case 'password':
				case 'select-multiple':
				case 'select-one':
				case 'text':
				case 'textarea':
					$(this).val('');
					break;
				case 'checkbox':
				case 'radio':
					this.checked = false;
			}
		});

		$('.jSelectList', $(formId)).empty();
		$('select option', $(formId)).removeAttr('selected');
		$('select option', $(formId)).css('display', 'block');
		$('.delAllBttn').remove();

	}
</script>

<table id="admin_skel">
	<tr>
		<td id="liste">
			<div class="title">
				<?php echo __d('recherche', 'Recherche.formulaire'); ?>
			</div>
			<div class="content"></div>
			<div class="controls"></div>
		</td>
		<td id="infos">
			<div class="title">
				<?php echo __d('recherche', 'Recherche.resultat'); ?>
			</div>
			<div class="content"></div>
			<div class="controls"></div>
		</td>
	</tr>
</table>

<script type="text/javascript">
	$('.title').addClass('ui-widget-header-webgfc ui-state-default ui-corner-top');
	$('.content').addClass('ui-widget ui-widget-content ui-corner-all');

	gui.buttonbox({
		element: $('#liste .controls'),
		align: 'center'
	});

	gui.addbuttons({
		element: $('#liste .controls'),
		buttons: [{
				content: "<?php echo __d('default', 'Button.search'); ?>",
				action: function() {
					gui.request({
						url: "<?php echo Configure::read('BaseUrl') . "/Recherches/recherche"; ?>",
						data: $('#RechercheFormulaireForm').serialize(),
						updateElement: $('#infos .content'),
						loader: true,
						loaderMessage: gui.loaderMessage
					});
				}
			},
			{
				content: "<?php echo __d('default', 'Button.reset'); ?>",
				action: function() {
					resetJSelect('#RechercheFormulaireForm');
				}
			}]
	});

	gui.buttonbox({
		element: $('#infos .controls'),
		align: "center"
	});

	gui.addbutton({
		element: $('#infos .controls'),
		button: {
			content: "<?php echo __d('default', 'Button.reset'); ?>",
			action: function() {
				if (!$(this).hasClass('ui-state-disabled')) {
					$('#infos .content').empty();
					$('#liste table tr').removeClass('ui-state-focus');
					gui.disablebutton({
						element: $('#infos .controls'),
						button: "<?php echo __d('default', 'Button.reset'); ?>"
					});
				}
			}
		}

	});

	gui.disablebutton({
		element: $('#infos .controls'),
		button: "<?php echo __d('default', 'Button.reset'); ?>"
	});

	gui.request({
		url: "<?php echo Configure::read('BaseUrl') . "/Recherches/formulaire"; ?>",
		updateElement: $('#liste .content'),
		loader: true,
		loaderMessage: gui.loaderMessage
	});
	
	
	gui.addbutton({
		element: $('#infos .controls'),
		button: {
			content: "<?php echo __d('default', 'Button.exportcsv'); ?>",
			action: function() {
				window.location.href="/recherches/exportcsv";
			}
		}

	});

	gui.disablebutton({
		element: $('#infos .controls'),
		button: "<?php echo __d('default', 'Button.exportcsv'); ?>"
	});

</script>


