<?php
/**
 *
 * Collectivites/scanemail_add.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Arn aud AUZOLAT
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>

<?php
    echo $this->Form->create('Scanemail', array('url' => array('controller' => 'scanemails', 'action' => 'add')));
    echo $this->Form->input('Scanemail.collectivite_id', array('type' => 'hidden'));
    echo $this->Form->input('Scanemail.name', array('label' => __d('scanemail', 'Scanemail.name'), 'placeholder' => __d('scanemail', 'Scanemail.placeholderNameAdd')));

    echo $this->Html->tag('span',  __d('scanemail', 'Scanemail.formatNameAdd'), array('class' => 'formatNomScanemail'));
    
    
    echo $this->Form->input('Scanemail.mail', array('label' => __d('scanemail', 'Scanemail.mail'), 'class' => 'ldapparam'));
    echo $this->Form->input('Scanemail.password', array('label' => __d('scanemail', 'Scanemail.password')));
    echo $this->Form->input('Scanemail.hostname', array('label' => __d('scanemail', 'Scanemail.hostname')));
    echo $this->Form->input('Scanemail.port', array('label' => __d('scanemail', 'Scanemail.port')));
    
    echo $this->Form->input('Scanemail.desktop_id', array('label' => __d('scanemail', 'Scanemail.desktop_id'), 'type' => 'select', 'options' => $listDesktops, 'empty' => true));
    echo $this->Form->end();
?>

<script type="text/javascript">
    $('#ScanemailDesktopId').select2();

	$('#ScanemailAddForm').validate({
		rules: {
//			'data[Scanemail][name]': 'required',
			'data[Scanemail][password]': 'required',
			'data[Scanemail][hostname]': 'required',
			'data[Scanemail][port]': 'required',
			'data[Scanemail][mail]': 'required',
			'data[Scanemail][desktop_id]': 'required'
		}
	});


	gui.enablebutton({
		element: $('#infos .controls'),
		button: '<?php echo __d('default', 'Button.submit'); ?>'
	});
	gui.enablebutton({
		element: $('#infos .controls'),
		button: '<?php echo __d('default', 'Button.cancel'); ?>'
	});
    
    
    $('#ScanemailMail').blur(function() {
		gui.request({
			url: "/scanemails/ajaxformvalid/mail",
			data: $('#ScanemailAddForm').serialize()
		}, function(data) {
			processJsonFormCheck(data);
		})
	});
</script>