<?php
/**
 *
 * Collectivites/scanemail_add.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Arn aud AUZOLAT
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
    echo $this->Form->create('Scanemail');
    echo $this->Form->input('Scanemail.id');
    echo $this->Form->input('Scanemail.collectivite_id', array('type' => 'hidden'));
    echo $this->Form->input('Scanemail.name', array('label' => __d('scanemail', 'Scanemail.name'), 'placeholder' => __d('scanemail', 'Scanemail.placeholderNameAdd')));

    echo $this->Html->tag('span',  __d('scanemail', 'Scanemail.formatNameAdd'), array('class' => 'formatNomScanemail'));
    
    
    echo $this->Form->input('Scanemail.mail', array('label' => __d('scanemail', 'Scanemail.mail')));
    echo $this->Form->input('Scanemail.password', array('label' => __d('scanemail', 'Scanemail.password')));
    echo $this->Form->input('Scanemail.hostname', array('label' => __d('scanemail', 'Scanemail.hostname')));
    echo $this->Form->input('Scanemail.port', array('label' => __d('scanemail', 'Scanemail.port')));
   

    echo $this->Form->input('Scanemail.desktop_id', array('label' => __d('scanemail', 'Scanemail.desktop_id'), 'type' => 'select', 'options' => $listDesktops, 'empty' => true));
    echo $this->Form->end();
?>

<script type="text/javascript">

	$('#ScanemailAddForm').validate({
		rules: {
			'data[Scanemail][mail]': 'required',
			'data[Scanemail][desktop_id]': 'required'
		}
	});


	gui.enablebutton({
		element: $('#infos .controls'),
		button: '<?php echo __d('default', 'Button.submit'); ?>'
	});
	gui.enablebutton({
		element: $('#infos .controls'),
		button: '<?php echo __d('default', 'Button.cancel'); ?>'
	});
    
    
    $('#ScanemailDesktopId').select2();
</script>