<?php
/**
 *
 * Taches/edit.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
echo $this->Form->create('Tache');
echo $this->Form->input('Tache.id');
echo $this->Form->input('Tache.name', array('label' => __d('tache', 'Tache.name')));
echo $this->Form->input('Tache.courrier_id', array('type' => 'hidden'));


$divContent = $this->Html->tag('label', __d('tache', 'Related Desktops'), array('for' => 'Desktop.Desktop'));
$divContent .= $this->Form->input('Desktop.Desktop', array('label' => false, 'div' => false, 'multiple' => 'multiple'));
echo $this->Html->tag('div', $divContent, array('class' => 'input required'));


$fieldsetContent = $this->Html->tag('legend', __d('tache', 'Tache.delai'));
$fieldsetContent .= $this->Form->input('Tache.delai_nb', array('label' => __d('tache', 'Tache.delai_nb')));
$fieldsetContent .= $this->Form->input('Tache.delai_unite', array('label' => __d('tache', 'Tache.delai_unite'), 'options' => array('0' => 'jour', '1' => 'semaine', '2' => 'mois'), 'empty' => true));
echo $this->Html->tag('fieldset', $fieldsetContent);
?>

<script type="text/javascript">

	$('#TacheAddForm').validate({
		'rules': {
			'data[Tache][name]': 'required',
			'data[Desktop][Desktop][]': 'required'
		}
	});
        $('#DesktopDesktop').select2();
</script>