<?php
/**
 *
 * Users/changenotif.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Arnaud Auzolat
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>

<?php
if ($this->Session->check( 'Message.flash' ) ) {
    echo $this->Session->flash();
}
if ($this->Session->check( 'Message.auth' ) ) {
    echo $this->Session->flash( 'auth' );
}

echo $this->Form->create('User'); 

$fieldsetNotificationContent = $this->Html->tag('legend', __d('user', 'User.notification'), array('class' => 'ui-widget-content ui-corner-all ui-state-focus'));
$fieldsetNotificationContent .= $this->Form->hidden('User.id');
$fieldsetNotificationContent .= $this->Form->input('User.accept_notif', array('label' => __d('user', 'User.accept_notif'), 'type' => 'checkbox'));
echo $this->Html->tag('fieldset', $fieldsetNotificationContent);

$fieldsetOptionNotificationContent = $this->Html->tag('legend', __d('user', 'User.optionnotif'), array('class' => 'ui-widget-content ui-corner-all ui-state-focus'));
$fieldsetOptionNotificationContent .= $this->Form->input('User.mail_insertion', array('label' => __d('user', 'User.mail_insertion'), 'type' => 'checkbox'));
$fieldsetOptionNotificationContent .= $this->Form->input('User.mail_traitement', array('label' => __d('user', 'User.mail_traitement'), 'type' => 'checkbox'));
$fieldsetOptionNotificationContent .= $this->Form->input('User.mail_refus', array('label' => __d('user', 'User.mail_refus'), 'type' => 'checkbox'));
$fieldsetOptionNotificationContent .= $this->Form->input('User.mail_retard_validation', array('label' => __d('user', 'User.mail_retard_validation'), 'type' => 'checkbox')); 
$fieldsetOptionNotificationContent .= $this->Form->input('User.mail_copy', array('label' => __d('user', 'User.mail_copy'), 'type' => 'checkbox')); 
$fieldsetOptionNotificationContent .= $this->Form->input('User.mail_insertion_reponse', array('label' => __d('user', 'User.mail_insertion_reponse'), 'type' => 'checkbox')); 
$fieldsetOptionNotificationContent .= $this->Form->input('User.mail_aiguillage', array('label' => __d('user', 'User.mail_aiguillage'), 'type' => 'checkbox')); 
echo $this->Html->tag('fieldset', $fieldsetOptionNotificationContent, array( 'id' => 'UserOptionNotification', 'class' => 'notification' ));


echo $this->Form->end();

?>


<script type="text/javascript">
        $(document).ready(function() {
			// Affichage des notifications
			$('#UserAcceptNotif').change(function() {
				if ($('#UserAcceptNotif').attr('checked') == 'checked') {
					$('#UserOptionNotification').show();
				} 
				else {
					$('#UserOptionNotification').hide();
				}
			});
			if ($('#UserAcceptNotif').attr('checked') == 'checked') {
				$('#UserOptionNotification').show();
			} 
			else {
				$('#UserOptionNotification').hide();
			}
		});
</script>

