<?php
/**
 *
 * Users/is_away.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
if ($isAway > 0) {
	?>
	<span class="notification_fullwrapper">
		<?php
		$span_notif = $this->Html->tag('div', $isAway, array('class' => 'icon_notif'));
		$span_notif .= $this->Html->image('/img/deleg_16.png', array('id' => 'viewDeleg', 'title' => __d('deleg', 'Deleg.active')));
		echo $this->Html->tag('span', $span_notif, array('class' => 'notification_wrapper'));
		?>

		<div id="divAbsence" class="ui-widget ui-widget-content ui-corner-all notification_fullwrapper_div">
			<br />
			<div style="text-align:center;"><?php //echo __d('deleg', 'Deleg.active'); ?>
                           <?php 
                            
                            
                            if(count($delegatedDesktopsContents)>0){
                                $fieldsetdelegatedDesktopsContents = $this->Html->tag('h3', 'Rôle Reçu', array('class' => 'ui-widget-content ui-corner-all ui-state-focus'));
                                //$fieldsetdelegatedDesktopsContents .= $this->Html->tag('table');
                                $fieldsetdelegatedDesktopsContents .= $this->Html->tag('tr');
                                $fieldsetdelegatedDesktopsContents .= $this->Html->tag('th','Rôle');
                                $fieldsetdelegatedDesktopsContents .= $this->Html->tag('th','Service');
                                foreach($delegatedDesktopsContents as $delegatedDesktopsContent){
                                    $fieldsetdelegatedDesktopsContents .= $this->Html->tag('tr');
                                    $fieldsetdelegatedDesktopsContents .= $this->Html->tag('td',$delegatedDesktopsContent['desktopName']);
                                    $fieldsetdelegatedDesktopsContents .= $this->Html->tag('td',$delegatedDesktopsContent['serviceName']);
                                }
                                echo $this->Html->tag('table', $fieldsetdelegatedDesktopsContents, array('class'=>'tableDelegatedDesktops'));    
                            }
                            
                            if(count($delegateToDesktopsContents)>0){
                                $fieldsetdelegateToDesktopsContents = $this->Html->tag('h3', 'Rôle Envoyé', array('class' => 'ui-widget-content ui-corner-all ui-state-focus'));
                                //$fieldsetdelegateToDesktopsContents .= $this->Html->tag('table');
                                $fieldsetdelegateToDesktopsContents .= $this->Html->tag('tr');
                                $fieldsetdelegateToDesktopsContents .= $this->Html->tag('th','Use');
                                $fieldsetdelegateToDesktopsContents .= $this->Html->tag('th','Rôle');
                                foreach($delegateToDesktopsContents as $delegateToDesktopsContent){
                                    $fieldsetdelegateToDesktopsContents .= $this->Html->tag('tr');
                                    $fieldsetdelegateToDesktopsContents .= $this->Html->tag('td',$delegateToDesktopsContent['UserInfo']);
                                    $fieldsetdelegateToDesktopsContents .= $this->Html->tag('td',$delegateToDesktopsContent['Role']);
                                }
                                echo $this->Html->tag('table', $fieldsetdelegateToDesktopsContents, array('class'=>'tableDelegatedToDesktops'));  
                                //echo json_encode($delegateToDesktopsContents);
                             }
                             
                           ?>
                        </div>
			<br />
			<div id="gotoSetAbsence"></div>
		</div>
	</span>
	<script type="text/javascript">
		gui.buttonbox({
			element: $('#gotoSetAbsence'),
			align: "center"
		});

		gui.addbutton({
			element: $('#gotoSetAbsence'),
			button: {
				content: "<?php echo __d('menu', 'Informations du compte'); ?>",
				action: function(){
					window.location.href = "<?php echo Configure::read('BaseUrl') . "/users/getInfosCompte"; ?>";
				}
			}
		})

	</script>
	<?php
} else {
	echo $this->Html->image('/img/delegto_16_inactif.png', array('id' => 'viewDeleg', 'title' => __d('deleg', 'Deleg.void')));
}
?>