<?php
/**
 *
 * Workflows/add.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<div id="circuit_tabs">
	<ul>
		<li><a href="#circuit_tabs_1"><?php echo __d('circuit', 'Circuit.infos'); ?></a></li>
		<li><a href="#circuit_tabs_2"><?php echo __d('circuit', 'Circuit.schema'); ?></a></li>
	</ul>


	<div id="circuit_tabs_1">
		<?php
		echo $this->Form->create('Circuit', array('url' => '/workflows/add'));
		echo $this->Form->input('Circuit.nom', array('label' => __d('circuit', 'Circuit.nom')));
		echo $this->Form->input('Circuit.description', array('type' => 'textarea', 'style' => 'height: 90px;width: 160px;', 'label' => __d('circuit', 'Circuit.description')));

        echo $this->Form->input('Circuit.soustype', array('type' => 'select', 'multiple' => true, 'label' => __d('circuit', 'Circuit.soustype'), 'options' => $listSoustypes));
		echo $this->Form->end();
		?>
	</div>
	<div id="circuit_tabs_2">
		<?php echo "Vous devez enregistrer les informations du circuit et y associer au moins un sous-type pour pouvoir modifier le schéma"; ?>
	</div>
</div>

<script type="text/javascript">

	$('#CircuitAddForm').validate({
		rules: {
			'data[Circuit][nom]': 'required'
		}
	});


	gui.tabs({
		element: $('#circuit_tabs')
	});

	$('#circuit_tabs').tabs("option", "selected", 0);

	gui.enablebutton({
		element: $('#infos .controls'),
		button: '<?php echo __d('default', 'Button.submit'); ?>'
	});
	gui.enablebutton({
		element: $('#infos .controls'),
		button: '<?php echo __d('default', 'Button.cancel'); ?>'
	});

    $(document).ready(function() {
        $('#CircuitSoustype').select2();
    });
</script>