<?php

/**
 *
 * Workflows/get_workflows.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php

if (!empty($workflows)) {

	$fields = array(
		'nom'
	);
	$actions = array(
		"edit" => array(
			"url" => '/workflows/edit',
			"updateElement" => "$('#infos .content')",
			"formMessage" => false
		),
        "copieCircuit" => array(
            "url" => '/workflows/copieCircuit',
            "updateElement" => "$('#admin_skel')",
            "refreshAction" => "loadCircuits();$('#infos .content').empty();"
        ),
		"delete" => array(
			"url" => '/workflows/delete',
			"updateElement" => "$('#admin_skel')",
			"refreshAction" => "loadCircuits();$('#infos .content').empty();"
		)
	);
	$options = array('check_inactive' => true, 'inactive_value' => 0, 'inactive_field' => 'actif', 'inactive_model' => 'Circuit');

	$this->Liste->draw($workflows, 'Circuit', $fields, $actions, $options);
} else {

	echo __d('circuit', 'Circuit.void');
}
?>
