
/**
 * Contactinfo helpers
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
function showContactinfo() {
    $('.contactInfoCard').hide();
    $('#contactInfoCard' + $('#CourrierContactinfoId option:selected').val()).show();
}

function createContactinfo(contactinfo) {

    var id = typeof contactinfo['id'] !== "undefined" ? contactinfo['id'] : contactinfo['Contactinfo.id'];

    var contactInfoCard = $('<table />').attr('id', 'contactInfoCard' + id).addClass('contactInfoCard');
    var cpt = 0, nbRows = 10, trs = [];
    for (var j in contactinfo) {
        if (j !== 'name' && j !== '' && j !== 'id' && j !== "Contactinfo.id" && j !== "Contactinfo.name") {
            if (cpt < nbRows) {
                trs[cpt] = $('<tr />').append($('<td />').css('font-weight', 'bold').html(j)).append($('<td />').html(contactinfo[j]));
            } else {
                trs[cpt - nbRows].append($('<td />').css('font-weight', 'bold').html(j)).append($('<td />').html(contactinfo[j]));
            }
            cpt++;
        }
    }
    for (var i = 0; i < 12; i++) {
        $(contactInfoCard).append(trs[i]);
    }
    return contactInfoCard;
}