-- 218_patch_1.3.03_reference_unique.sql script
-- Patch permettant la mise en place des notifications par mail des utilisateurs
--
-- web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
--
-- @author Arnaud AUZOLAT
-- @copyright Adullact
-- @link http://adullact.org/
-- @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2

SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;
SET search_path = public, pg_catalog;
SET default_tablespace = '';
SET default_with_oids = false;

-- *****************************************************************************
BEGIN;
-- *****************************************************************************
CREATE UNIQUE INDEX courriers_reference_idx ON courriers( reference );


/** Ajout du connecteur GED **/
INSERT INTO connecteurs ( name, created, modified ) VALUES ( 'GED (CMIS)', NOW(), NOW() );

SELECT add_missing_table_field ('public', 'courriers', 'numero_depot', 'INTEGER');

SELECT add_missing_table_field ('public', 'rights', 'envoi_ged', 'BOOLEAN');

COMMIT;