<?php

App::uses('AppModel', 'Model');

/**
 * TypeMetadonnee model class
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 *
 * @package		app
 * @subpackage		app.Model
 */
class Typemetadonnee extends AppModel {

	/**
	 * Model name
	 *
	 * @access public
	 */
	public $name = 'Typemetadonnee';


	/**
	 * Validation rules
	 *
	 * @access public
	 */

	/**
	 * hasMany
	 *
	 * @access public
	 */
	public $hasMany = array(
		'Metadonnee' => array(
			'className' => 'Metadonnee',
			'foreignKey' => 'typemetadonnee_id',
			'dependent' => false,
			'conditions' => null,
			'fields' => null,
			'order' => null,
			'limit' => null,
			'offset' => null,
			'exclusive' => null,
			'finderQuery' => null,
			'counterQuery' => null
		)
	);

}

?>