<?php

App::uses('SimpleCommentAppModel', 'SimpleComment.Model');

/**
 * Carnet d'adresse
 *
 * SimpleComment Plugin
 * SimpleComment Comment model class
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 *
 *
 * @package             SimpleComment
 * @subpackage          SimpleComment.Model
 *
 * @property Reader $Reader
 * @property Target $Target
 */
class SCCommentReader extends SimpleCommentAppModel {

	/**
	 *
	 * @var type
	 */
	public $useTable = 'comments_readers';

	/**
	 * Validation rules
	 *
	 * @var array
	 */
	public $validate = array(
		'reader_id' => array(
			'numeric' => array(
				'rule' => array('numeric'),
			//'message' => 'Your custom message here',
			//'allowEmpty' => false,
			//'required' => false,
			//'last' => false, // Stop validation after this rule
			//'on' => 'create', // Limit validation to 'create' or 'update' operations
			),
		),
		'comment_id' => array(
			'numeric' => array(
				'rule' => array('numeric'),
			//'message' => 'Your custom message here',
			//'allowEmpty' => false,
			//'required' => false,
			//'last' => false, // Stop validation after this rule
			//'on' => 'create', // Limit validation to 'create' or 'update' operations
			),
		),
	);


}
