<?php
/**
 *
 * Affaires/edit.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
echo $this->Form->create('Affaire');
echo $this->Form->intput('id', array('type' => 'hidden'));
echo $this->Form->input('name', array('label' => __d('affaire', 'Affaire.name')));
echo $this->Form->input('comment', array('label' => __d('affaire', 'Affaire.commentaire'), 'type' => 'textarea'));
echo $this->Form->input('dossier_id', array('label' => __d('affaire', 'Affaire.dossier'), 'options' => $dossiers, 'empty' => true));
echo $this->Form->end();
?>
<script type="text/javascript">
	$('#AffaireEditForm').validate({
		rules: {
			'data[Affaire][name]': 'required'
		}
	});
	gui.enablebutton({
		element: $('#infos .controls'),
		button: '<?php echo __d('default', 'Button.submit'); ?>'
	});
	gui.enablebutton({
		element: $('#infos .controls'),
		button: '<?php echo __d('default', 'Button.cancel'); ?>'
	});
</script>