<?php

/**
 *
 * Collectivites/get_collectivites.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php

if (!empty($collectivites)) {

	$fields = array(
		'name',
		'siren',
		'ville',
		'telephone'
	);
	$actions = array(
		"edit" => array(
			"url" => '/collectivites/edit',
			"updateElement" => "$('#infos .content')",
			"formMessage" => false,
			'formMessageHeight' => '600',
			'formMessageWidth' => '1000',
			"refreshAction" => "loadStructure();"
		),
		"delete" => array(
			"url" => '/collectivites/delete',
			"updateElement" => "$('#infos .content')",
			"refreshAction" => "loadStructure();msgDelete();"
		)
	);
	$options = array('check_inactive' => true, 'inactive_value' => 0, 'inactive_field' => 'active', 'inactive_model' => 'Collectivite');

	$this->Liste->draw($collectivites, 'Collectivite', $fields, $actions, $options);
} else {
	echo __d('collectivite', 'Collectivite.void');
}
?>
