<?php
/**
 *
 * Contactinfos/edit.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
echo $this->Form->create('Contactinfo');
echo $this->Form->input('Contactinfo.name', array('label' => __d('addressbook', 'Contactinfo.name')));

echo $this->Html->tag('br');
$fieldsetIdentity = $this->Html->tag('legend', __d('addressbook', 'Contactinfo.fieldset.identity'));
$fieldsetIdentity .= $this->Form->input('Contactinfo.id');
$fieldsetIdentity .= $this->Form->input('Contactinfo.civilite', array('type' => 'select', 'empty' => true, 'options' => array('Monsieur' => 'Monsieur', 'Madame' => 'Madame', 'Mademoiselle' => 'Mademoiselle'), 'label' => __d('addressbook', 'Contactinfo.civilite')));
$fieldsetIdentity .= $this->Form->input('Contactinfo.nom', array('label' => __d('addressbook', 'Contactinfo.nom')));
$fieldsetIdentity .= $this->Form->input('Contactinfo.prenom', array('label' => __d('addressbook', 'Contactinfo.prenom')));
echo $this->Html->tag('fieldset', $fieldsetIdentity);
echo $this->Html->tag('br');
$fieldsetCom = $this->Html->tag('legend', __d('addressbook', 'Contactinfo.fieldset.com'));
$fieldsetCom .= $this->Form->input('Contactinfo.email', array('label' => __d('addressbook', 'Contactinfo.email')));
$fieldsetCom .= $this->Form->input('Contactinfo.tel', array('label' => __d('addressbook', 'Contactinfo.tel')));
echo $this->Html->tag('fieldset', $fieldsetCom);
echo $this->Html->tag('br');
$fieldsetLoc = $this->Html->tag('legend', __d('addressbook', 'Contactinfo.fieldset.loc'));
$fieldsetLoc .= $this->Form->input('Contactinfo.numvoie', array('label' => __d('addressbook', 'Contactinfo.numvoie')));
$fieldsetLoc .= $this->Form->input('Contactinfo.typevoie', array('label' => __d('addressbook', 'Contactinfo.typevoie'), 'type' => 'select', 'empty' => true, 'options' => $options['Addressbook']['typevoie']));
$fieldsetLoc .= $this->Form->input('Contactinfo.nomvoie', array('label' => __d('addressbook', 'Contactinfo.nomvoie')));
$fieldsetLoc .= $this->Form->input('Contactinfo.adresse', array('type' => 'hidden' ));
$fieldsetLoc .= $this->Form->input('Contactinfo.compl', array('label' => __d('addressbook', 'Contactinfo.compl')));
$fieldsetLoc .= $this->Form->input('Contactinfo.cp', array('label' => __d('addressbook', 'Contactinfo.cp')));
$fieldsetLoc .= $this->Form->input('Contactinfo.ville', array('label' => __d('addressbook', 'Contactinfo.ville')));
$fieldsetLoc .= $this->Form->input('Contactinfo.region', array('label' => __d('addressbook', 'Contactinfo.region')));
$fieldsetLoc .= $this->Form->input('Contactinfo.pays', array('label' => __d('addressbook', 'Contactinfo.pays')));
echo $this->Html->tag('fieldset', $fieldsetLoc);
echo $this->Html->tag('br');
$fieldsetWork = $this->Html->tag('legend', __d('addressbook', 'Contactinfo.fieldset.work'));
$fieldsetWork .= $this->Form->input('Contactinfo.role', array('label' => __d('addressbook', 'Contactinfo.role')));
$fieldsetWork .= $this->Form->input('Contactinfo.organisation', array('label' => __d('addressbook', 'Contactinfo.organisation')));
echo $this->Html->tag('fieldset', $fieldsetWork);
echo $this->Form->end();
?>
<script type="text/javascript">
	$('#ContactinfoEditForm').validate({
		rules: {
			'data[Contactinfo][name]': 'required',
			'data[Contactinfo][nom]': 'required'
		}
	});

	/*$('#ContactinfoNom, #ContactinfoPrenom').blur(function() {
		if ($('#ContactinfoName').val() == "" && $('#ContactinfoPrenom').val() != "" && $('#ContactinfoNom').val() != "") {
			$('#ContactinfoName').val($('#ContactinfoPrenom').val() + " " + $('#ContactinfoNom').val());
		}


		$('.homonyms').remove();
		$.ajax({
			type: 'post',
			dataType: 'json',
			url: '/Contactinfos/getHomonyms',
			data: $('#ContactinfoEditForm').serialize(),
			success: function(data) {
				console.log(data);

				if (data.length > 0) {
					var homonyms = $('<div></div>').html('<?php echo __d('contact', 'Contactinfo.HomonymsListTitle'); ?>').addClass('homonyms').addClass('ui-state-highlight');
					var homonymList = $('<ul></ul>');

					for (var i in data) {
						homonymList.append($('<li></li>').html(data[i].Contactinfo.prenom + ' ' + data[i].Contactinfo.nom + ' (' + data[i].Contact.name + " - " + data[i].Addressbook.name + ')'));
					}
					homonyms.append(homonymList);

					$('#ContactinfoNom').parent().parent().after(homonyms);

				}
			}
		});

	});

	$('#ContactinfoEditForm').addClass('checkHomonyms');*/
</script>