<?php
/**
 *
 * Courriers/send.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>


<?php
echo $this->Form->create('Courrier');
?>
<?php foreach ($itemList['DispForm']['itemToLink'] as $item) { ?>
	<input type="hidden" name="data[DispForm][itemToLink][]" value="<?php echo $item; ?>" />
<?php } ?>
<?php    
$fieldsetServiceDestContent = $this->Html->tag('legend', 'Aiguillage vers les services suivants', array('class' => 'ui-widget-content ui-corner-all ui-state-focus'));
$fieldsetServiceDestContent .= $this->Form->input('Send.initDesktopService', array('type' => 'select', 'multiple' => true, 'class' => 'destination', 'options' => $services, 'div' => false, 'label' => __d('courrier', 'chooseInitDesktopService'), 'empty' => true));
echo $this->Html->tag('fieldset', $fieldsetServiceDestContent, array( 'class' => 'aere' ));

$fieldsetEnvoiCopieContent = $this->Html->tag('legend', 'Liste des utilisateurs pour l\'envoi d\'une copie', array('class' => 'ui-widget-content ui-corner-all ui-state-focus'));
$fieldsetEnvoiCopieContent .=  $this->Form->input('Send.flux_id', array('type' => 'hidden'));
$fieldsetEnvoiCopieContent .=  $this->Form->input('Send.copy', array('type' => 'checkbox', 'label' => __d('courrier', 'Courrier.copy')));
//$fieldsetEnvoiCopieContent .=  $this->Form->input('Send.copy_id', array('type' => 'select', 'multiple' => true, 'empty' => true, 'label' => __d('courrier', 'Courrier.desktop_to_send'), 'options' => $desktopsToCopy));
$fieldsetEnvoiCopieContent .=  $this->Form->input('Send.copy_id', array('type' => 'select', 'multiple' => true, 'empty' => true, 'label' => __d('courrier', 'Courrier.desktop_to_send'), 'options' => $allDesktops));

echo $this->Html->tag('fieldset', $fieldsetEnvoiCopieContent, array( 'class' => 'aere' ));
echo $this->Form->input('Comment.content', array('type' => 'textarea', 'label' => __d('comment', 'Comment.content')));
echo $this->Form->end();
?>

<script type="text/javascript">
    $('#SendCopyId').parent().css('display', 'none');
	$('#SendCopy').change(function(){
		if ($(this).attr('checked') == 'checked'){
			$('#SendCopyId').parent().css('display', 'block');
            $("#SendCopyId").select2();
		} else {
			$('#SendCopyId').parent().css('display', 'none');
		}
	});


    $('#CourrierDispmultiplesendForm select').each(function() {
		setJSelect($(this));
	});
    
    
    $('#CourrierDispmultiplesendForm').validate({
		'rules': {
			'data[Send][initDesktopService][]': 'required'
		}
	});
</script>

<script>
    $(document).ready(function() {
        $("#SendInitDesktopService").select2();
    });
</script>