<?php
/**
 *
 * Courriers/get_affaire.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
if (isset($viewOnly) && $viewOnly === true) {
	echo $this->Element('viewOnly');
}

if (!empty($courrier['Affaire']['id'])) {
	?>

	<dl class="ui-widget-content ui-corner-all">
	    <dt class="ui-state-focus"><?php echo __d('affaire', 'Affaire.name'); ?></dt>
	    <dd><?php echo $courrier['Affaire']['name']; ?></dd>

	    <dt class="ui-state-focus"><?php echo __d('affaire', 'Affaire.comment'); ?></dt>
	    <dd><?php echo $courrier['Affaire']['comment']; ?></dd>
	</dl>

	<?php
	if (!empty($courrier['Affaire']['Dossier']['id'])) {
		echo $this->Html->tag('h3', __d('affaire', 'Affaire.dossier.assoc'));
		?>
		<dl class="ui-widget-content ui-corner-all">
			<dt class="ui-state-focus"><?php echo __d('dossier', 'Dossier.name'); ?></dt>
			<dd><?php echo $courrier['Affaire']['Dossier']['name']; ?></dd>

			<dt class="ui-state-focus"><?php echo __d('dossier', 'Dossier.comment'); ?></dt>
			<dd><?php echo $courrier['Affaire']['Dossier']['comment']; ?></dd>
		</dl>
		<?php
	} else {
		echo $this->Html->tag('div', __d('affaire', 'Affaire.dossier.void'), array('class' => 'ui-state-highlight ui-widget voidMessage'));
	}
} else {
	echo $this->Html->tag('div', __d('courrier', 'Courrier.affaire.void'), array('class' => 'ui-state-highlight ui-widget voidMessage'));
}
?>