<?php 
/**
 *
 * Courriers/send.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<script type="text/javascript">
	function setCopyMode(){
		$('#SendGetback').attr('disabled', 'disabled');
		$('label', $('#SendGetback').parent()).css('color', '#c0c0c0');
		$('#SendDesktopId').parent().css('display', 'none');
		$('#SendCopyId').parent().css('display', 'block');
        
        $('#SendGetback').parent().css('display', 'none');
        $('#SendCopy').parent().css('display', 'block');
	}

	function setNormalMode(){
		$('#SendGetback').removeAttr('disabled');
		$('label', $('#SendGetback').parent()).css('color', '#000');
		$('#SendDesktopId').parent().css('display', 'block');
        
        $('#SendCopyId').parent().css('display', 'none');
        $('#SendCopy').parent().css('display', 'block');
		$('#SendGetback').parent().css('display', 'block');
	}
    
	function setEnvoiMode(){
		$('#SendGetback').removeAttr('disabled');
		$('label', $('#SendGetback').parent()).css('color', '#000');
		$('#SendDesktopId').parent().css('display', 'block');
		$('#SendGetback').parent().css('display', 'block');
        
        $('#SendCopyId').parent().css('display', 'none');
        $('#SendCopy').parent().css('display', 'none');
	}
    
</script>

<?php
echo $this->Form->create('Send');
echo $this->Form->input('Send.flux_id', array('type' => 'hidden', 'value' => $fluxId));
echo $this->Form->input('Send.desktop_id', array('type' => 'select', 'label' => __d('courrier', 'Courrier.desktop_to_send'), 'options' => @$desktopsToSend, 'empty' => true));
echo $this->Form->input('Send.getback', array('type' => 'checkbox', 'label' => __d('courrier', 'Courrier.getback')));
echo $this->Form->input('Send.copy', array('type' => 'checkbox', 'label' => __d('courrier', 'Courrier.copy')));
//echo $this->Form->input('Send.copy_id', array('class' => 'copy', 'type' => 'select', 'multiple' => true, 'label' => __d('courrier', 'Courrier.desktop_to_send_to'), 'options' => @$desktopsToCopy, 'empty' => true));
echo $this->Form->input('Send.copy_id', array('class' => 'copy', 'type' => 'select', 'multiple' => true, 'label' => __d('courrier', 'Courrier.desktop_to_send_to'), 'options' => @$allDesktops, 'empty' => true));

echo $this->Form->input('Comment.content', array('type' => 'textarea', 'label' => __d('comment', 'Comment.content')));
    if( !Configure::read('DOC_FROM_GFC') ){ 
        echo $this->Form->input('Send.signature_manuelle', array('type' => 'checkbox', 'label' => __d('courrier', 'Courrier.signature_manuelle')));
    }
echo $this->Form->end();
?>

<script type="text/javascript">
	$('#SendCopy').change(function(){
		if ($(this).attr('checked') == 'checked'){
            $( '#SendCopyId' ).select2();
			setCopyMode();
		}
        else {
			setNormalMode();
		}
	});


<?php if (($sendcpy && !$sendwkf) || $cpyOnly) { ?>
		setCopyMode();
		$('#SendCopy').attr('checked', 'checked');
        $('#SendCopy').css('display', 'none');
        $('#SendCopy').after( $('<input  />').attr( 'type', 'checkbox' ).attr( 'checked', 'checked').attr( 'disabled', 'disabled') );
<?php } else if ($sendwkf && !$sendcpy) { ?>
		setNormalMode();
		$('#SendCopy').removeAttr('checked').attr('disabled', 'disabled');
		$('label', $('#SendCopy').parent()).css('color', '#c0c0c0');
        $('#SendCopy').parent().css('display', 'none');
<?php } else if ($sendwkf && $sendcpy) { ?>
		setNormalMode();
<?php } ?>

    $('#SendSendForm select.copy').each(function() {
		setJSelect($(this));
	});
    
    $('#SendDesktopId').change(function(){
        if ($(this).val() != ''){
			setEnvoiMode();
		}
        else {
            setNormalMode();
		}
	});
    
    $( '#SendDesktopId' ).select2();
    
    
    <?php if( !Configure::read('DOC_FROM_GFC') ):?>
        $('#SendSignatureManuelle').change(function(){
            if ($(this).attr('checked') == 'checked'){
                $('#SendGetback').removeAttr('disabled');
                $('label', $('#SendGetback').parent()).css('color', '#000');
                $('#SendDesktopId').parent().css('display', 'none');
                $('#SendGetback').parent().css('display', 'none');

                $('#SendCopyId').parent().css('display', 'none');
                $('#SendCopy').parent().css('display', 'none');

                $('#CommentContent').parent().css('display', 'none');
            }
        });
    <?php endif;?>
</script>