
<?php
if (!$canAddPrivateComment) {
	echo $this->Html->tag('div', __d('comment', 'Comment.cantAddPrivateComment'), array('class' => 'viewOnlyTab'));
}

echo $this->Html->tag('span', $this->Html->image('icons/ajouter.png', array('title' => __d('default', 'Button.add'), 'alt' => __d('default', 'Button.add'))) . __d('comment', 'Comment.add'), array('id' => 'addComment'));
echo $this->GFCComment->drawComments($comments, true);
?>
<script type="text/javascript">

	$('#addComment').button().click(function() {
		var url = "<?php echo Router::url(array('controller' => 'comments', 'action' => 'add', $flux_id, $canAddPrivateComment)); ?>";

				gui.formMessage({
					url: url,
					title: "<?php echo __d('comment', 'Comment.add'); ?>",
					loader: true,
					width: 470,
					loaderMessage: gui.loaderMessage,
					updateElement: $('#tabs'),
					buttons: {
						"<?php echo __d('default', 'Button.submit'); ?>": function() {
							if ($('form', this).valid()) {
								gui.request({
									url: url,
									data: $('form', this).serialize()
								}, function(data) {
									getJsonResponse(data);
									$("#tabs").tabs("load", $('#tabs').tabs('option', 'selected'));
								});
								$(this).dialog('close');
							}
						},
						"<?php echo __d('default', 'Button.cancel'); ?>": function() {
							$(this).dialog('close');
						}
					}
				});
			});


			$('.sc-edit-btn').click(function() {
				var id = $(this).attr('idComment');
				var url = "<?php echo Router::url(array('controller' => 'comments', 'action' => 'edit', $flux_id, $canAddPrivateComment)); ?>/" + id;

				gui.formMessage({
					url: url,
					title: "<?php echo __d('comment', 'Comment.edit'); ?>",
					loader: true,
					width: 470,
					loaderMessage: gui.loaderMessage,
					updateElement: $('#tabs'),
					buttons: {
						"<?php echo __d('default', 'Button.submit'); ?>": function() {
							if ($('form', this).valid()) {
								gui.request({
									url: url,
									data: $('form', this).serialize()
								}, function(data) {
									getJsonResponse(data);
									$("#tabs").tabs("load", $('#tabs').tabs('option', 'selected'));
								});
								$(this).dialog('close');
							}
						},
						"<?php echo __d('default', 'Button.cancel'); ?>": function() {
							$(this).dialog('close');
						}
					}
				});
			});

			$('.sc-delete-btn').click(function() {
				var id = $(this).attr('idComment');
				gui.message({
					title: "<?php echo __d('default', 'Confirmation de suppression'); ?>",
					msg: "<?php echo __d('default', 'Voulez-vous supprimer cet élément ?'); ?>",
					buttons: {
						"<?php echo __d('default', 'Button.confirm'); ?>": function() {
							$(this).dialog("close");
							gui.request({
								url: "/comments/delete/" + id,
								updateElement: $('#tabs'),
								loader: true,
								loaderMessage: gui.loaderMessage
							}, function(data) {
								getJsonResponse(data);
								$('#tabs').tabs('load', $('#tabs').tabs('option', 'selected'));
							});
						},
						"<?php echo __d('default', 'Button.cancel'); ?>": function() {
							$(this).dialog("close");
						}
					}
				});
			});


			$('.sc-delete-btn, .sc-edit-btn').button();
</script>