<?php
/**
 *
 * Courriers/view.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
echo $this->Html->css(array('zones/circuit/index'), null, array('inline' => false));
echo $this->Html->css(array('zones/courrier/courrier'), null, array('inline' => false));
echo $this->Html->css(array('zones/courrier/affaire'), null, array('inline' => false));
echo $this->Html->css(array('zones/tache/tache'), null, array('inline' => false));
echo $this->Html->css(array('SimpleComment.comment.css'), null, array('inline' => false));
echo $this->Html->script('jquery/jquery.ui.autocomplete.html.js', array('inline' => true));
echo $this->Html->script('contactinfo.js', array('inline' => true));

if ($rights['setMeta']) {
	echo $this->Html->script('thesaurus.js', array('inline' => true));
}
?>
<script type="text/javascript">
<?php if ($rights['getFlowControls']) { ?>
		function getFlowControls(fromMesServices) {
			var url = "<?php echo '/courriers/getFlowControls/' . $courrier['Courrier']['id']; ?>";
			if (fromMesServices) {
				url += "/1";
			}

			gui.request({
				url: url,
				noErrorMsg: true
			}, function(data) {
				$("body").append(data);
			});
		}
<?php } ?>

<?php if ($rights['edit'] && !$isClosed) { ?>
		function submitAll(submits, index) {
			if (submits[index] != 'end') {
				gui.request({
					url: submits[index].url,
					data: submits[index].data
				}, function(data) {
					var json = getJsonResponse(data);
					if (json.loadContext == "reload") {
						$('.context_content .ui-accordion-header').removeAttr('loaded');
						$('.context_content .ui-accordion-header .msgChange').remove();
						loadContextTab($('.context_accordion').find('.ui-state-active'));
					}
					submitAll(submits, index + 1);
				});
			}
			else {
	<?php if ($rights['getFlowControls']) { ?>
					getFlowControls();
	<?php } ?>
        //FIXME: Le rechargement du context doit se faire ICI !!!!
				setTimeout(function() { //jQuery 1.8 tabs reload page workaround
                    $('#tabs').tabs('load', $('#tabs').tabs('option', 'selected'));
				}, 0);

				<?php
					if( $envactuel === 'disp' ) {
						$desktopId = $desktopidactuel;
					}
					else {
						$desktopId = $desktopidactuel;
// 						$desktopId = $courrier['Courrier']['desktop_creator_id'];
					}
				?>
                window.location.href = "<?php echo '/courriers/view/' . $courrier['Courrier']['id'] ."/". 
                $desktopId; ?>"

			}
		}

		function editMode() {
			var cpt = 0;
			$('#tabs ul.ui-tabs-nav a').each(function() {
				if ($(this).hasClass('editable')) {
					var href = $.data(this, 'href.tabs');
					href = href.replace("get", 'set');
					$('#tabs').tabs('url', cpt, href);
				}
				cpt++;
			});

			$('#tabs').tabs('load', $("#tabs").tabs("option", "selected"));

			//modeControls
			gui.removebutton({
				element: $('#modeControls'),
				button: "<?php echo __d('courrier', 'Edit mode'); ?>"
			});

			gui.addbutton({
				element: $('#modeControls'),
				button: {
					content: "<?php echo __d('courrier', 'View mode'); ?>",
					action: function() {

						viewMode();
					}
				}
			})

			//dataControls
			gui.addbutton({
				element: $('#dataControls'),
				button: {
					content: "<?php echo __d('courrier', 'Enregistrer'); ?>",
					action: function() {
						var submits = {};
						var index = 0;
						$('.ui-tabs-panel').each(function() {
							if ($('form', this).attr('action') !== undefined && $('form', this).attr('status') !== 'disabled') {
								submits[index] = {'url': $('form', this).attr('action'), 'data': $('form', this).serialize()};
								index++;
							}
						});
						submits[index] = 'end';
						submitAll(submits, 0);

					}
				}
			});
			gui.addbutton({
				element: $('#dataControls'),
				button: {
					content: "<?php echo __d('courrier', 'Annuler'); ?>",
					action: function() {
						window.location.href = "<?php echo Router::url("/environnement"); ?>";
					}
				}
			});

			//flowControls
			gui.disablebutton({
				element: $('#flowControls'),
				button: 1
			});
			gui.disablebutton({
				element: $('#flowControls'),
				button: 2
			});
			gui.disablebutton({
				element: $('#flowControls'),
				button: 3
			});
			gui.disablebutton({
				element: $('#flowControls'),
				button: 4
			});
		}

		function viewMode() {
			var cpt = 0;
			$('#tabs ul.ui-tabs-nav a').each(function() {
				var href = $.data(this, 'href.tabs');
				href = href.replace("set", 'get');
				$('#tabs').tabs('url', cpt, href);
				cpt++;
			});

			$('#tabs').tabs('load', $("#tabs").tabs("option", "selected"));

			//modeControls
			gui.removebutton({
				element: $('#modeControls'),
				button: "<?php echo __d('courrier', 'View mode'); ?>"
			});

			gui.addbutton({
				element: $('#modeControls'),
				button: {
					content: "<?php echo __d('courrier', 'Edit mode'); ?>",
					action: function() {
						editMode();
					}
				}
			});

			//dataControls
			gui.removebutton({
				element: $('#dataControls'),
				button: "<?php echo __d('courrier', 'Enregistrer'); ?>"
			});
			gui.removebutton({
				element: $('#dataControls'),
				button: "<?php echo __d('courrier', 'Annuler'); ?>"
			});

			//flowControls
			gui.enablebutton({
				element: $('#flowControls'),
				button: 1
			});
			gui.enablebutton({
				element: $('#flowControls'),
				button: 2
			});
			gui.enablebutton({
				element: $('#flowControls'),
				button: 3
			});
			gui.enablebutton({
				element: $('#flowControls'),
				button: 4
			});
		}
<?php } ?>


</script>

<div id="courrier_skel">
	<div id="flux_infos" class="infos">
		<div id="tabs">
			<ul>
				<?php
				$cptTab = 0;
				$taskTab = 0;
				if ($rights['getInfos']) {
					echo $this->Html->tag('li', $this->Html->link(__d('courrier', 'Informations'), '/courriers/getInfos/' . $courrier['Courrier']['id'], array('class' => ($rights['setInfos'] && !$isClosed) ? 'editable' : '')));
					$cptTab++;
				}
				if ($rights['getMeta']) {
					echo $this->Html->tag('li', $this->Html->link(__d('courrier', 'Metadonnees'), '/courriers/getMeta/' . $courrier['Courrier']['id'], array('class' => ($rights['setMeta'] && !$isClosed) ? 'editable' : '')));
					$cptTab++;
				}
				if ($rights['getTache']) {
					echo $this->Html->tag('li', $this->Html->link(__d('courrier', 'Taches'), '/courriers/getTache/' . $courrier['Courrier']['id'], array('class' => ($rights['setTache'] && !$isClosed) ? 'editable' : '')), array('id' => 'taskTab', 'tabRank' => $cptTab));
					$taskTab = $cptTab;
				}

				if ($rights['getAffaire']) {
					echo $this->Html->tag('li', $this->Html->link(__d('courrier', 'Affaire'), '/courriers/getAffaire/' . $courrier['Courrier']['id'], array('class' => ($rights['setAffaire'] && !$isClosed) ? 'editable' : '')));
				}

				echo $this->Html->tag('li', $this->Html->link(__d('comment', 'Comment.tab'), '/courriers/getComments/' . $courrier['Courrier']['id'], array('class' => !$isClosed ? 'editable' : '')));

				?>
			</ul>
		</div>
		<div id="controls">
			<table>
				<tr>
					<td id="flowControls" class="buttonbox"></td>
					<td id="dataControls" class="buttonbox"></td>
					<td id="modeControls" class="buttonbox"></td>
				</tr>
			</table>
		</div>
	</div>
	<?php
	$context_params = array(
		'fluxId' => $courrier['Courrier']['id'],
		'rights' => $rights,
		'parent' => $parent,
		'sortant' => $sortant,
		'mainDoc' => $mainDoc
	);
	echo $this->Element('context', $context_params);
	?>
</div>

<script type="text/javascript">
	//activation des onglets
	gui.tabs({
		element: $('#tabs'),
		noErrorMsg: true,
		loaderMessage: gui.loaderMessage
	});

<?php if (isset($tab) && $tab == "tache") { ?>
		$('#tabs').tabs('select', <?php echo $taskTab; ?>);
<?php } ?>

	//activation des boites de boutons
	gui.buttonbox({element: $('#flowControls'), align: "left"});
	gui.buttonbox({element: $('#dataControls'), align: "center"});
	gui.buttonbox({element: $('#modeControls'), align: "right"});

	//definition des boutons de controle du flux dans son circuit
<?php if ($rights['getFlowControls'] && !$fromHistorique && !$fromMesServices && !$fromBannetteCopy && !$fromTask ) { ?>
		getFlowControls();
	<?php // } else if ($rights['getFlowControls'] && !$fromHistorique && $fromMesServices) {    ?>
<?php } else if ($rights['getFlowControls'] && (!$fromHistorique && !$fromTask && $fromMesServices) || $fromBannetteCopy ) { ?>
		getFlowControls(true);
<?php } ?>

	//affichage de la preview du fichier associé si existant
<?php /*if ($rights['edit'] && !$isClosed && !$fromHistorique && !$fromMesServices && !$fromTask && !$fromBannetteCopy) { */ ?>
    
<?php if ( !$viewOnly && $rights['edit'] && !$isClosed && !$fromHistorique && !$fromMesCopies && !$fromTask /*&& !$fromBannetteCopy*/ && ( $isUserInCircuit || $isUserInit || $isUserDisp ) && !$fromMesServices ) { ?>
		//ajout du bouton de changement de mode (edition / visualisation)
		gui.addbutton({
			element: $('#modeControls'),
			button: {
				content: "<?php echo __d('courrier', 'Edit mode'); ?>",
				action: function() {
					editMode();
				}
			}
		});
<?php } ?>
	lockContext();
    
    <?php if ( !$viewOnly && $rights['edit'] && !$isClosed && !$fromHistorique && !$fromMesCopies && !$fromTask && $isUserDisp && !$fromMesServices ):?>
        editMode();
    <?php endif;?>
</script>