<?php

/**
 *
 * Elements/dktpEditBttn.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 *
 *
 *
 * @param $desktopId integer
 * @param $userId integer
 * @param deletable boolean
 *
 * @param $rightsImg string
 * @param $delegImg string
 * @param $deleteImg string
 *
 */
$spanContent = $this->Html->tag('span', $this->Html->image(!empty($rigthsImg) ? $rightsImg : '/img/edit.png', array('url' => '/desktops/edit/' . $desktopId, 'alt' => 'édition', 'title' => __d('desktop', 'Desktop.edit'))), array('class' => 'desktopEdit'));
$spanContent .= $this->Html->tag('span', $this->Html->image(!empty($rigthsImg) ? $rightsImg : '/img/setRights.png', array('url' => '/desktops/rights/' . $desktopId, 'alt' => 'droits', 'title' => __d('desktop', 'Desktop.setRights'))), array('class' => 'setRights'));
$spanContent .= $this->Html->tag('span', $this->Html->image(!empty($delegImg) ? $delegImg : '/img/deleg.png', array('url' => '/desktops/setDeleg/' . $desktopId, 'alt' => 'délégations', 'title' => __d('desktop', 'Desktop.setDeleg'))), array('class' => 'setDeleg'));
if ($deletable) {
	$spanContent .= $this->Html->tag('span', $this->Html->image(!empty($deleteImg) ? $deleteImg : '/img/delete.png', array('url' => '/desktops/delete/' . $desktopId . '/' . $userId, 'alt' => 'suppression', 'title' => __d('desktop', 'Desktop.delete'))), array('class' => 'desktopDelete'));
}
echo $this->Html->tag('span', $spanContent, array('class' => 'desktopCtrls'));
?>