<?php

/**
 *
 * Elements/preview.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
if ($previewType == 'audio') {
	$audioContent = $this->Html->tag('source', '', array('src' => $filename, 'type' => $mime));
	$audioContent .= __d('default', 'Your browser does not support the audio tag.');
	$audio = $this->Html->tag('audio', $audioContent, array('controls' => 'controls'));
	echo $this->Html->tag('div', $audio, array('style' => 'text-align:center;padding:150px 0;'));
} else if ($previewType == 'video') {
	$videoContent = $this->Html->tag('source', '', array('src' => $filename, 'type' => $mime));
	$videoContent .= __d('default', 'Your browser does not support the video tag.');
	echo $this->Html->tag('video', $videoContent, array('controls' => 'controls', 'width' => $width, 'height' => ($height - 34)));
} else if ($previewType == 'image') {
	$img = $this->Html->image($filename, array('style' => 'max-width:' . $width . 'px;max-height:' . ($height - 34) . 'px;vertical-align:middle;'));
	echo $this->Html->tag('div', $img, array('style' => 'text-align:center;padding:10px 0;'));
}
?>
