<?php
/**
 *
 * Environnement/adminenv.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php echo $this->Html->css(array('zones/environnement/superadminenv'), null, array('inline' => false)); ?>
<table id="adminEnv" class="ui-widget-content ui-corner-all shadowBox">
	<tr>
		<td class="ui-widget-header ui-widget-header-webgfc"><?php echo __d('menu', 'Collectivites'); ?></td>
		<td class="ui-widget-header ui-widget-header-webgfc"><?php echo __d('menu', 'Outils'); ?></td>
	</tr>
	<tr>
		<td class="ui-widget-content">
			<ul>
				<li><span class="bttn" id="gestionCollectivites"><?php echo __d('menu', 'gestionCollectivites'); ?></span></li>
			</ul>
		</td>
		<td class="ui-widget-content">
			<ul>
				<li><span class="bttn" id="checkInstall"><?php echo __d('menu', 'checkInstall'); ?></span></li>
			</ul>
		</td>
	</tr>
</table>

<script type="text/javascript">
	$('#adminEnv td span.bttn').button();
	$('#gestionCollectivites').click(function() {
		window.location.href = "<?php echo Configure::read('BaseUrl') . "/collectivites"; ?>";
	});
	$('#checkInstall').click(function() {
		window.location.href = "<?php echo Router::url(array('controller' => 'checks', 'action' => 'index')); ?>";
	});

	$('.disabled').addClass('ui-state-disabled').attr('title', 'En développement ...').click(function() {
		gui.message({title: 'En développement ...', msg: 'Cette fonctionnalité n\'est pas encore disponible.', dialogClass: 'ui-state-default'});
	});
</script>