<?php
/**
 *
 * Groups/add.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
echo $this->Form->create('Group');
echo $this->Form->input('Group.name', array('label' => __d('group', 'Group.name')));
echo $this->Form->input('Group.group_id', array('label' => $this->Html->tag('span', __d('group', 'CopieDroitGroup'), array('class' => 'bold')) . $this->Html->tag('span', '*', array('style' => 'color: #ee3311;')), 'options' => $groups, 'empty' => true));
echo $this->Form->end();
?>

<script type="text/javascript">
    $('#GroupAddForm').validate({
        rules: {
            'data[Group][name]': 'required',
            'data[Group][group_id]': 'required'
        }
    });

    $('#GroupName').blur(function() {
        gui.request({
            url: "/groups/ajaxformvalid/name",
            data: $('#GroupAddForm').serialize()
        }, function(data) {
            processJsonFormCheck(data);
        });
    });


</script>