<?php
/**
 *
 * Groups/edit.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<div id="groups_tabs">
    <ul>
        <!--<li><a href="<?php echo "/groups/setInfos/" . $id ?>"><?php echo __d('default', 'Informations'); ?></a></li>-->
        <li><a href="#tab-info"><?php echo __d('default', 'Informations'); ?></a></li>
        <li><a href="<?php echo "/groups/setDroitsFunc/" . $id . "/func" ?>"><?php echo __d('group', 'Group.droitsFunc'); ?></a></li>
    </ul>

    <div id="tab-info">
        <form accept-charset="utf-8" method="post" id="GroupSetInfosForm" action="/groups/setInfos/9">
            <?php
            echo $this->Form->input('Group.id');
            echo $this->Form->input('Group.active', array('label' => __d('group', 'Group.active')));
            echo $this->Form->input('Group.name', array('label' => __d('group', 'Group.name')));
            ?>
        </form>
    </div>

</div>

<script type="text/javascript">
    gui.tabs({
        element: $("#groups_tabs"),
        noErrorMsg: true,
        loaderMessage: gui.loaderMessage
    });


    $('#GroupName').blur(function() {
        gui.request({
            url: "/groups/ajaxformvalid/name",
            data: $('#GroupSetInfosForm').serialize()
        }, function(data) {
            processJsonFormCheck(data);
        })
    });

    gui.enablebutton({
        element: $('#infos .controls'),
        button: '<?php echo __d('default', 'Button.submit'); ?>'
    });
    gui.enablebutton({
        element: $('#infos .controls'),
        button: '<?php echo __d('default', 'Button.cancel'); ?>'
    });
</script>