<?php
/**
 *
 * Keywordlists/view.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
$content = '';
foreach ($this->data['Keywordlist'] as $key => $val) {
	if (!preg_match('/.*_id$/', $key) && $key != 'id' && $key != 'active') {
		$dtcontent = __d('keyword', 'Keywordlist.' . $key);
		if ($key == 'nom' && $this->data['Keywordlist']['active']) {
			$dtcontent .= $this->Html->tag('span', $this->Html->image('/img/link.png', array('alt' => 'lié à la collectivité', 'title' => 'lié à la collectivité')), array('style' => 'float:right;'));
		}
		$content .= $this->Html->tag('dt', $dtcontent, array('class' => 'ui-state-focus'));
		$printval = $val;
		if ($key == 'modified' || $key == 'created') {
			$tmp = explode(' ', $val);
			$tmp2 = explode('-', $tmp[0]);
			$month = $tmp2[1];
			$day = $tmp2[2];
			$year = $tmp2[0];
			$printval = date('d/m/Y', mktime(0, 0, 0, $month, $day, $year));
		}
		if ($key == 'scheme_data_uri' || $key == 'scheme_uri') {
			$printval = $this->Html->link($val, $val, array('target' => '_blank'));
		}
		$content .= $this->Html->tag('dd', $printval);
	}
}
echo $this->Html->tag('dl', $content, array('class' => 'ui-widget-content ui-corner-all'));
?>



<script type="text/javascript">
	gui.enablebutton({
		element: $('#infos .controls'),
		button: '<?php echo __d('default', 'Button.cancel'); ?>'
	});

</script>