<?php
/**
 *
 * Repertoires/get_flux.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
if (!empty($flux)) {

	$this->Bannette->draw($flux, "Total ", array('view' => $viewAction), true);
	echo $this->Form->input('repertoireSelected', array('type' => 'hidden', 'id' => 'repertoireSelected', 'value' => $repertoire_id));
} else {
	echo __d('repertoire', 'Element.void');
}
?>
<script type="text/javascript">
	$('#repertoires_skel_liste .content .treeTr').removeClass('ui-state-focus');
	$('#repertoires_skel_liste .content .treeTr').each(function(){
		if ($(this).attr('itemId') == '<?php echo $repertoire_id; ?>'){
			$(this).addClass('ui-state-focus');
		}
	});

	gui.removebutton({
		element: $('#repertoires_skel_infos .controls'),
		button: "<?php echo __d('repertoire', "Repertoire.unlink"); ?>"
	});

	gui.addbutton({
		element: $('#repertoires_skel_infos .controls'),
		button: {
			content: "<?php echo __d('repertoire', "Repertoire.unlink"); ?>",
			action: function(){

				if (!$(this).hasClass('ui-state-disabled')){

					var tabChecked = new Array();
					$('#repertoires_skel_infos .checkItem').each(function(){
						if ($(this).attr('checked') == 'checked'){
							tabChecked.push($(this).attr('itemId'));
						}
					});
					if (tabChecked.length == 0){
						gui.message({
							title: 'Enlever les flux',
							msg: 'Veuillez choisir au moins un flux'
						});
					} else {

						var form = "<form id='formChecked'>";
						for (i in tabChecked){
							form += '<input type="hidden" name="data[itemToUnlink][]" value="' + tabChecked[i] + '">';
						}
						form += "</form>";

						gui.message({
							title: 'Enlever des flux',
							msg:  'Voulez-vous enlever ces flux du repertoire ?' + form,
							buttons: {
								"<?php echo __d('default', 'Button.submit'); ?>": function(){
									gui.request({
										url: '<?php echo Configure::read('BaseUrl') . "/repertoires/unlinkGroup/"; ?>' + $('#repertoireSelected').val(),
										data: $('#formChecked').serialize()
									}, function(){
										gui.request({
											url: '<?php echo Configure::read('BaseUrl') . '/repertoires/getFlux/' . $repertoire_id; ?>',
											loader: true,
											updateElement: $('#repertoires_skel_infos .content'),
											loaderMessage: gui.loaderMessage
										});
                                                                                loadRepertoires();
									});
									$(this).dialog('close');
								},
								"<?php echo __d('default', 'Button.cancel'); ?>": function(){
									$(this).dialog('close');
								}
							}
						});
					}
				}
			}
		}
	});

</script>