<?php
/**
 *
 * Repertoires/link_group.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
echo $this->Form->create('Repertoire');
echo $this->Form->input('Repertoire.user_id', array('type' => 'hidden', 'value' => $user['User']['id'] ));
?>

<script type="text/javascript">
    function fillSelect(){
        if ($('#RepertoireToLink option:selected').val() == "") {
            $('#newRepertoire').css('display', 'block');
            $('#newRepertoireName').removeAttr('disabled');
            $('#newRepertoireParent').removeAttr('disabled');
        } else {
            $('#newRepertoire').css('display', 'none');
            $('#newRepertoireName').attr('disabled', 'disabled');
            $('#newRepertoireParent').attr('disabled', 'disabled');
        }
    }
</script>

<label for="data[RepertoireToLink]"><?php echo __d('repertoire', 'Nom') ?></label>&nbsp;
<select id="RepertoireToLink" name="data[RepertoireToLink]" >
	<?php foreach ($repertoires as $key => $val) { ?>
		<option value="<?php echo $key; ?>"><?php echo $val; ?></option>
	<?php } ?>
    <option value=""><?php echo __d('repertoire', 'New Repertoire'); ?> ... </option>
</select>
<?php foreach ($itemList['itemToLink'] as $item) { ?>
	<input type="hidden" name="data[itemToLink][]" value="<?php echo $item; ?>" />
<?php } ?>
<br />
<br />
<fieldset  id="newRepertoire"><legend><?php echo __d('repertoire', 'New Repertoire'); ?></legend>
    <label for="data[Repertoire][name]"><?php echo __d('repertoire', 'Repertoire.name'); ?></label>
    <input type="text" name="data[Repertoire][name]" id="newRepertoireName" />
    <br />
    <label for="data[Repertoire][parent_id]"><?php echo __d('repertoire', 'Repertoire.parent_id'); ?></label>
    <select id="newRepertoireParent" name="data[Repertoire][parent_id]" >
        <option value=""> --- </option>
		<?php foreach ($repertoires as $key => $val) { ?>
			<option value="<?php echo $key; ?>"><?php echo $val; ?></option>
		<?php } ?>
    </select>
</fieldset>
<?php
echo $this->Form->end();
?>

<script type="text/javascript">
    $('#newRepertoire').css('display', 'none');

    $('#RepertoireToLink').change(function(){
        fillSelect();
    });

    fillSelect();
</script>