<?php
/**
 *
 * Services/get_services.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
if (!empty($services)) {
	$fields = array(
		'name'
	);
	$actions = array(
		"edit" => array(
			"url" => '/services/edit',
			"updateElement" => "$('#admin_skel')",
			"formMessage" => true,
			'formMessageHeight' => '600',
			'formMessageWidth' => '600',
			"refreshAction" => "loadStructure();"
		),
		"delete" => array(
			"url" => '/services/delete',
			"updateElement" => "$('#admin_skel')",
			"refreshAction" => "loadStructure();"
		)
	);
	$options = array(
		"nbItem" => $nbItem
	);

	$this->Liste->tree($services, 'Service', $fields, $actions, $options);
} else {
	echo __d('service', 'Service.void');
}
?>

<script type="text/javascript">
    $('#liste_services .treeTr').hover(function(){
        var id = $(this).attr('itemId');
        $('.Service_' + id).addClass('ui-state-highlight');
    }, function(){
        var id = $(this).attr('itemId');
        $('.Service_' + id).removeClass('ui-state-highlight');
    });
</script>