<?php
/**
 *
 * Services/set_infos.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
echo $this->Form->create('Service');
echo $this->Form->input('Service.id');
echo $this->Form->input('Service.name', array('label' => __d('service', 'Service.name')));
echo $this->Form->input('Service.parent_id', array('label' => __d('service', 'Service.service_id'), 'options' => $services, 'empty' => '', 'type' => 'select', 'escape' => false));
echo $this->Form->input('Init.Init', array('type' => 'select', 'empty' => true, 'required' => true, 'label' => __d('service', 'Service.init')));
?>

<script type="text/javascript">
	$('#ServiceSetInfosForm').validate({
		rules: {
			'data[Service][name]': 'required'
		}
	});
    $('#ServiceParentId').select2();
    $('#InitInit').select2();
</script>