<?php
/**
 *
 * Soustypes/set_rmodels.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
$ulContent = '';
if (empty($rmodels)) {
	$ulContent = $this->Html->tag('li', __d('soustype', 'Soustype.Rmodel.void'), array('class' => 'ui-state-highlight voidlist_item'));
} else {
	foreach ($rmodels as $rmodel) {
		$liContent = $this->Element('ctxdoc', array('gfcDocType' => 'Rmodel', 'ctxdoc' => $rmodel['Rmodel'], 'adminMode' => true));
		$ulContent .= $this->Html->tag('li', $liContent, array('class' => 'ctxdoc'));
	}
}
echo $this->Html->tag('ul', $ulContent, array('id' => 'rmodelList'));
echo $this->Html->tag('span', __d('rmodel', 'Rmodel.bttn.add'), array('class' => 'rmodel_bttn_add'));
?>
<script type="text/javascript">
	$('.rmodel_bttn_add').button().click(function (){
		gui.formMessage({
			url: '/rmodels/add/' + "<?php echo $soustype_id; ?>",
			loader: true,
			loaderMessage: gui.loaderMessage,
			buttons: {
				"<?php echo __d('default', 'Button.submit'); ?>": function(){
					var form = $('#RmodelAddForm');
					if (form.valid()){
						form.submit();
						$(this).dialog('close');
					}
				},
				"<?php echo __d('default', 'Button.cancel'); ?>": function(){
					$(this).dialog('close');
				}
			}
		});
	});

	$('.ctxdocBttnDelete').click(function(){
		var docId = $(this).parent().parent().attr('itemId');
                gui.message({
                        title: "<?php echo __d('default', 'Confirmation de suppression'); ?>",
                        msg: "<?php echo __d('default', 'Voulez-vous supprimer cet élément ?'); ?>",
                        buttons: {
                                "<?php echo __d('default', 'Button.confirm'); ?>": function(){
                                        $(this).dialog("close");
                                        gui.request({
                                                url: '/rmodels/delete/' + docId,
                                                loader: true,
                                                loaderMessage: gui.loaderMessage,
                                        }, function(data){
                                                getJsonResponse(data);
                                                stype_tabs_reload();
                                        });
                                },
                                "<?php echo __d('default', 'Button.cancel'); ?>": function(){
                                        $(this).dialog("close");
                                }
                        }
                });
//		gui.request({
//			url: '/rmodels/delete/' + docId
//		}, function(data){
//			getJsonResponse(data);
//			stype_tabs_reload();
//		});
	});
</script>