<?php
/**
 *
 * Statistiques/index.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Arnaud Auzolat
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
echo $this->Html->css(array('zones/administration/index'), null, array('inline' => false));
echo $this->Html->css(array('zones/recherche/index'), null, array('inline' => false)); 
echo $this->Html->css(array('zones/environnement/environnement'), null, array('inline' => false));
echo $this->Html->css(array('zones/courrier/bannette'), null, array('inline' => false));
echo $this->Html->css(array('zones/courrier/courrier'), null, array('inline' => false));
echo $this->Html->css(array('zones/circuit/index'), null, array('inline' => false));
echo $this->Html->css(array('SimpleComment.comment.css'), null, array('inline' => false));
?>
<br />
<br /> 

<!-- Affichage des états des flux-->
<?php

echo $this->Html->link(
    $this->Html->image(
        'icons/application_form_magnify.png',
        array( 'alt' => '' )
    ).' Formulaire',
    '#',
    array( 'escape' => false, 'title' => 'Visibilité formulaire', 'onclick' => "$( '#StatistiqueIndexform' ).toggle(); return false;", 'id' => 'formulaireButton', 'class' => 'aere' )
);

echo $this->Form->create('Courrier', array( 'type' => 'post', 'action' => 'getUsers', 'id' => 'StatistiqueIndexform', 'class' => ( ( is_array( $this->request->data ) && !empty( $this->request->data ) && isset( $this->request->data['User']['active'] ) ) ? 'search folded' : 'search unfolded' ) ) );?>
<fieldset class="aere">
    <legend>Recherche de flux</legend>
    <?php
        echo $this->Form->input( 'Courrier.reference', array('type' => 'text', 'label' => __d('courrier', 'Courrier.reference') ) );
        
    ?>
    <div style="text-align: center;"><span id="searchButton" class="aere">Rechercher</span></div>
</fieldset>
		
<?php echo $this->Form->end();?>


<script type="text/javascript">
    $( '#formulaireButton' ).button();
    $( '#searchButton' ).button();
    
    $('#searchButton').click(function(){
      gui.request({
        url: $("#StatistiqueIndexform").attr('action'),
        data: $("#StatistiqueIndexform").serialize(),
        loader: true,
        updateElement: $('#liste_users .content'),
        loaderMessage: gui.loaderMessage
      }, function(data) {
        $('#liste_users .content').html(data);
      } );
    });
    
    // Ajout de l'action de recherche via la touche Entrée
	$('#StatistiqueIndexform').keyup(function(e){
		if(e.keyCode == 13) {
			gui.request({
				url: $("#StatistiqueIndexform").attr('action'),
				data: $("#StatistiqueIndexform").serialize(),
				loader: true,
				updateElement: $('#liste_users .content'),
				loaderMessage: gui.loaderMessage
			}, function(data) {
				$('#liste_users .content').html(data);
			} );
		}
	});

    $('#StatistiqueIndexform.folded').hide();

</script>


<?php
$this->Paginator->options(array(
	'update' => '#liste_users .content',
	'evalScripts' => true,
	'before' => 'gui.loader({ element: $("#liste_users .content") });',
	'complete' => '$(".loader").remove()',
));
//$pagination = '<div class="paging">< | 1 | ></div>';
$pagination = '';
if (Set::classicExtract($this->params, 'paging.User.pageCount') > 1) {
	$pagination = '<div class="paging">
			' . implode(
					' | ', Set::filter(
							array(
								$this->Paginator->first('<<', array(), null, array('class' => 'disabled')),
								$this->Paginator->prev('<', array(), null, array('class' => 'disabled')),
								$this->Paginator->numbers(),
								$this->Paginator->next('>', array(), null, array('class' => 'disabled')),
								$this->Paginator->last('>>', array(), null, array('class' => 'disabled')),
							)
					)
			) . '
		</div>';
}
if( isset( $users ) ) {
    if( empty( $users ) ) {
        echo $this->Html->tag( 'p', 'Aucun utilisateur ne correspond à votre recherche', array( 'class' => 'voidMessage ui-state-highlight' ) );
    }
	else {
        $fields = array(
            'username',
            'nom',
            'prenom'
        );
        $actions = array(
            "edit" => array(
                "url" => Configure::read('BaseUrl') . '/users/edit',
                "updateElement" => "$('#admin_skel')",
                "message" => true,
    //            "formMessage" => true,
                'formMessageHeight' => '650',
                'formMessageWidth' => '1000',
                "refreshAction" => "loadStructure();"
            ),
            "delete" => array(
                "url" => Configure::read('BaseUrl') . '/users/delete',
                "updateElement" => "$('#admin_skel')",
                "refreshAction" => "loadStructure();"
            )
        );
        $options = array(
            "filter" => false,
            "paginator" => true
        );

        $this->Liste->draw($users, 'User', $fields, $actions, $options);
        echo $pagination;
    }
}    
    
    echo $this->Js->writeBuffer();
    
?>