<?php
/**
 *
 * Users/changemdp.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>

<?php
if ($this->Session->check( 'Message.flash' ) ) {
    echo $this->Session->flash();
}
if ($this->Session->check( 'Message.auth' ) ) {
    echo $this->Session->flash( 'auth' );
}

echo $this->Form->create('User'); 

$fieldsetUserContent = $this->Html->tag('legend', 'Utilisateur', array('class' => 'ui-widget-content ui-corner-all ui-state-focus'));
$fieldsetUserContent .= $this->Form->hidden('User.id');
$fieldsetUserContent .= $this->Form->input('User.username', array('label' => __d('user', 'User.username')));
$fieldsetUserContent .= $this->Form->input('User.nom', array('label' => __d('user', 'User.nom')));
$fieldsetUserContent .= $this->Form->input('User.prenom', array('label' => __d('user', 'User.prenom')));
$fieldsetUserContent .= $this->Form->input('User.password', array('label' => __d('user', 'User.password')));
$fieldsetUserContent .= $this->Form->input('User.password2', array('type' => 'password', 'label' => __d('user', 'User.password_confirm')));
$fieldsetUserContent .= $this->Form->input('User.pwdmodified', array('type' => 'hidden', 'value' => true));
echo $this->Html->tag('fieldset', $fieldsetUserContent);

echo $this->Form->end();

?>

<script type="text/javascript">
		$("#UserChangemdpForm").validate({
			rules: {
				"data[User][password]": "required",
				"data[User][password2]": {
					"required": true,
					"equalTo": "#UserPassword"
				}
			}
		});
        
        
            // Affichage des notifications
    $('#UserOptionNotification').hide();
    $('#UserAcceptNotif').change(function() {
        if ($('#UserAcceptNotif').attr('checked') == 'checked') {
            $('#UserOptionNotification').show();
        } 
        else {
            $('#UserOptionNotification').hide();
        }
    });
</script>


