<?php
/**
 *
 * Users/get_infos_compte.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
if (!$reloadDesktops) {

	echo $this->Html->css(array('zones/user/infoscompte'), null, array('inline' => false));
	echo $this->Html->css(array('zones/delegation/index'), null, array('inline' => false));
	?>
	<script type="text/javascript">
		function reloadDelegDependances() {
			loadDeleg();
			gui.request({
				url: "/users/getInfosCompte/1",
				loader: true,
				updateElement: $('#iuContent'),
				loaderMessage: gui.loaderMessage
			}, function(data) {
				$('#iuContent').html(data);
			});
		}
	</script>
	<?php
//preparation des informations non editables de l utilisateur
	$dlContentStaticInfos = '';
//   $dlContentStaticInfos .= $this->Html->tag('dt', __d('user', 'User.id'), array('class' => 'ui-state-focus'));
//   $dlContentStaticInfos .= $this->Html->tag('dd', Set::classicExtract($user, 'User.id'));
	$dlContentStaticInfos .= $this->Html->tag('dt', __d('user', 'User.username'), array('class' => 'ui-state-focus'));
	$dlContentStaticInfos .= $this->Html->tag('dd', Set::classicExtract($user, 'User.username'));
	$dlContentStaticInfos .= $this->Html->tag('dt', __d('user', 'User.created'), array('class' => 'ui-state-focus'));
	$dlContentStaticInfos .= $this->Html->tag('dd', $this->Html2->ukToFrenchDateWithHourAndSlashes(Set::classicExtract($user, 'User.created')));
	$dlContentStaticInfos .= $this->Html->tag('dt', __d('user', 'User.modified'), array('class' => 'ui-state-focus'));
	$dlContentStaticInfos .= $this->Html->tag('dd', $this->Html2->ukToFrenchDateWithHourAndSlashes(Set::classicExtract($user, 'User.modified')));
	$dlStaticInfos = $this->Html->tag('dl', $dlContentStaticInfos);
	$getUserRights = $this->Html->tag('span', $this->Html->image('/img/rights.png', array('class' => 'getRights', 'alt' => 'Habilitations', 'title' => __d('user', 'User.getRights'), 'url' => '/users/getRights/' . $user['User']['id'] . '/func')));
	$headStaticInfos = $this->Html->tag('h3', __d('user', 'User.staticInfos') . $getUserRights, array('class' => 'ui-widget-header ui-corner-all'));
	$divStaticInfos = $this->Html->tag('div', $headStaticInfos . $dlStaticInfos, array('id' => 'staticInfos', 'class' => 'ui-widget ui-widget-content ui-corner-all shadowBox'));
}
//préparation du rôle principal
$dlContentMainDesktop = '';
$dlContentMainDesktop .= $this->Html->tag('dt', __d('desktop', 'Desktop.name'), array('class' => 'ui-state-focus'));
$dlContentMainDesktop .= $this->Html->tag('dd', Set::classicExtract($user, 'Desktop.name'));
$dlContentMainDesktop .= $this->Html->tag('dt', __d('group', 'Group.name'), array('class' => 'ui-state-focus'));
$dlContentMainDesktop .= $this->Html->tag('dd', Set::classicExtract($user, 'Desktop.Group.name'));
$dlContentMainDesktop .= $this->Html->tag('dt', __d('desktop', 'Desktop.Services.name'), array('class' => 'ui-state-focus'));
$dlContentMainDesktop .= $this->Html->tag('dd', $this->Html->nestedList(Set::classicExtract($user, 'Desktop.Service.{n}.name')));
$dlMainDesktop = $this->Html->tag('dl', $dlContentMainDesktop);
$delegationImg = '';
if (in_array(Set::classicExtract($user, 'Desktop.id'), $delegatedDesktops)) {
	$delegationImg .= $this->Html->image('/img/delegated_16.png', array('alt' => __d('desktop', 'Desktop.delegated'), 'title' => __d('desktop', 'Desktop.delegated')));
}
if (in_array(Set::classicExtract($user, 'Desktop.id'), $delegateToDesktops)) {
	$delegationImg .= $this->Html->image('/img/delegto_16.png', array('alt' => __d('desktop', 'Desktop.delegateTo'), 'title' => __d('desktop', 'Desktop.delegateTo')));
}
$delegationImg .= $this->Html->image('/img/deleg_16.png', array('class' => 'setDeleg', 'url' => '/desktops/setDeleg/' . $user['Desktop']['id'], 'alt' => __d('deleg', 'Deleg.new'), 'title' => __d('deleg', 'Deleg.new')));
$delegationInfos = $this->Html->tag('div', 'azeaze', array('class' => 'delegInfos'));
$spanDeleg = !empty($delegationImg) ? $this->Html->tag('span', $delegationImg . $delegationInfos, array('class' => 'spanDeleg')) : '';

// Renommage de l'intitulé du desktop principal si ce dernier est délégué
$mainDesktopTitle = __d('user', 'User.mainDesktop');
if (in_array(Set::classicExtract($user, 'Desktop.id'), $delegateToDesktops)) {
	$mainDesktopTitle = __d('user', 'User.mainDelegatedDesktop');
}
$desktopGetRightsBttn = $this->Html->tag('span', $this->Html->image('/img/rights.png', array('class' => 'getRights', 'alt' => 'Habilitations', 'title' => __d('user', 'User.getRights'), 'url' => '/desktops/getRights/' . $user['Desktop']['id'] . '/func')));
$headMainDesktop = $this->Html->tag('h3', $mainDesktopTitle/* __d('user', 'User.mainDesktop') */ . $desktopGetRightsBttn . $spanDeleg, array('class' => 'ui-widget-header ui-corner-all'));

$divMainDesktop = $this->Html->tag('div', $headMainDesktop . $dlMainDesktop, array('id' => 'desktop_' . Set::classicExtract($user, 'Desktop.id'), 'class' => 'desktop mainDesktop ui-widget ui-widget-content ui-corner-all shadowBox'));


//prepration des rôles secondaires
$secondarysDesktops = '';
foreach ($user['SecondaryDesktop'] as $desktop) {
	$dlContentSecondaryDesktop = '';
	$dlContentSecondaryDesktop .= $this->Html->tag('dt', __d('desktop', 'Desktop.name'), array('class' => 'ui-state-focus'));
	$dlContentSecondaryDesktop .= $this->Html->tag('dd', Set::classicExtract($desktop, 'name'));
	$dlContentSecondaryDesktop .= $this->Html->tag('dt', __d('group', 'Group.name'), array('class' => 'ui-state-focus'));
	$dlContentSecondaryDesktop .= $this->Html->tag('dd', Set::classicExtract($desktop, 'Group.name'));
	$dlContentSecondaryDesktop .= $this->Html->tag('dt', __d('desktop', 'Desktop.Services.name'), array('class' => 'ui-state-focus'));
	$dlContentSecondaryDesktop .= $this->Html->tag('dd', $this->Html->nestedList(Set::classicExtract($desktop, 'Service.{n}.name')));
	$dlSecondaryDesktop = $this->Html->tag('dl', $dlContentSecondaryDesktop);
	$delegationImg = '';
	if (in_array(Set::classicExtract($desktop, 'id'), $delegatedDesktops)) {
		$delegationImg .= $this->Html->image('/img/delegated_16.png', array('alt' => __d('desktop', 'Desktop.delegated'), 'title' => __d('desktop', 'Desktop.delegated')));
	}
	if (in_array(Set::classicExtract($desktop, 'id'), $delegateToDesktops)) {
		$delegationImg .= $this->Html->image('/img/delegto_16.png', array('alt' => __d('desktop', 'Desktop.delegateTo'), 'title' => __d('desktop', 'Desktop.delegateTo')));
	}
	$delegationImg .= $this->Html->image('/img/deleg_16.png', array('class' => 'setDeleg', 'url' => '/desktops/setDeleg/' . $desktop['id'], 'alt' => __d('deleg', 'Deleg.new'), 'title' => __d('deleg', 'Deleg.new')));
	$spanDeleg = !empty($delegationImg) ? $this->Html->tag('span', $delegationImg, array('class' => 'spanDeleg')) : '';

	// Renommage de l'intitulé du desktop secondaire si ce dernier est délégué
	$secondaryDesktopTitle = '';
	if (in_array(Set::classicExtract($desktop, 'id'), $baseDesktops)) {
		$secondaryDesktopTitle .= __d('user', 'User.secondaryDesktop');
	}
	if (in_array(Set::classicExtract($desktop, 'id'), $delegateToDesktops)) {
		$secondaryDesktopTitle .= __d('user', 'User.secondaryDelegateToDesktop.short');
	}
	if (in_array(Set::classicExtract($desktop, 'id'), $delegatedDesktops)) {
		$secondaryDesktopTitle = __d('user', 'User.secondaryDelegatedDesktop');
	}
	$desktopGetRightsBttn = $this->Html->tag('span', $this->Html->image('/img/rights.png', array('class' => 'getRights', 'alt' => 'Habilitations', 'title' => __d('user', 'User.getRights'), 'url' => '/desktops/getRights/' . $desktop['id'] . '/func')));
	$headSecondaryDesktops = $this->Html->tag('h3', $secondaryDesktopTitle/* __d('user', 'User.secondaryDesktop') */ . $desktopGetRightsBttn . $spanDeleg, array('class' => 'ui-widget-header ui-corner-all'));

	$secondarysDesktops .= $this->Html->tag('div', $headSecondaryDesktops . $dlSecondaryDesktop, array('id' => 'desktop_' . Set::classicExtract($desktop, 'id'), 'class' => 'desktop secondaryDesktop ui-widget ui-widget-content ui-corner-all shadowBox'));
}

if (!$reloadDesktops) {

//présentation en colonnes
	$iuSideLeft = $this->Html->tag('div', $divStaticInfos, array('id' => 'iuSideLeft'));
	$iuContent = $this->Html->tag('div', $divMainDesktop . $secondarysDesktops, array('id' => 'iuContent'));

	$headSideRight = $this->Html->tag('h3', __d('deleg', 'Deleg.info'), array('class' => 'divDelegHeader ui-widget-header ui-corner-all'));
	$contentSideRight = $this->Html->tag('div', $this->Html->tag('div', __d('desktop', 'Desktop.info.void'), array('class' => 'ui-state-highlight', 'style' => 'text-align:center;')), array('id' => 'divDelegContent'));

//  $iuSideRight = $this->Html->tag('div', $headSideRight . $contentSideRight, array('id' => 'iuSideRight', 'class' => 'ui-widget ui-widget-content ui-corner-all'));
	$iuContainer = $this->Html->tag('div', $iuSideLeft . $iuContent /* . $iuSideRight */, array('id' => 'iuContainer', 'class' => 'ui-widget ui-widget-content ui-corner-all'));
	$iuWrapper = $this->Html->tag('div', $iuContainer, array('id' => 'iuWrapper'));
	echo $iuWrapper;
	echo $this->Html->tag('span', '&nbsp;', array('class' => 'ui-helper-clearfix'));
}
?>
<script type="text/javascript">
	$('.desktop').hover(function() {
		$(this).addClass('ui-state-highlight');
	}, function() {
		$(this).removeClass('ui-state-highlight');
	});

	$('.getRights').remove();
	$('.setDeleg').each(function() {
		var img = $(this);
		var link = $(this).parent();
		var url = link.attr('href');
		var container = link.parent();
		var desktop = img.parents('.desktop');

		container.append(img);
		link.remove();

		img.button().click(function() {

			$('.desktop').removeClass('ui-state-focus');
			$(desktop).addClass('ui-state-focus');

			gui.request({
				url: url,
				loader: true,
				updateElement: $('#iuContent'),
				loaderMessage: gui.loaderMessage
			}, function(data) {
				gui.message({
					width: '450px',
					title: '<?php echo __d('deleg', 'Deleg.info'); ?>',
					msg: data,
					buttons: {
						'<?php echo __d('default', 'Button.close'); ?>': function() {
							$(this).dialog('close');
						}
					}
				});
			});
		});
	});
</script>

<?php
if ($reloadDesktops) {
	echo $divMainDesktop;
	echo $secondarysDesktops;
}
?>