<?php
/**
 *
 * Users/login.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php /*if( Configure::read( 'debug' ) == 2 ):?>
<?php echo '<center><h1>Site en cours de maintenance. <br />Le site sera accessible prochainement</h1></center>';?>
<?php else:*/?>
<div id="loginDiv" class="shadowBox">
	<h3 class="ui-widget-header-webgfc ui-state-default ui-corner-top"><?php echo __d('login', 'login'); ?></h3>
	<div class="ui-widget ui-widget-content ui-corner-bottom ui-widget-webgfc">
		<?php
		echo $this->Form->create('User', array('url' => array('controller' => 'users', 'action' => 'login')));
		echo $this->Form->input('User.username', array('label' => __d('login', 'User.username')));
		echo $this->Form->input('User.password', array('label' => __d('login', 'User.password')));
		echo $this->Form->end();
		?>

	</div>
	<div id="loginButtonBox"></div>
</div>
<div style="width:450px; margin-top:5px; margin-left:auto; margin-right:auto; text-align:right;" >
	<?php echo $this->Html->link( 'Mot de passe oublié ?', array( 'action' => 'mdplost' ) );?>
</div>


<?php /*endif;*/?>

<?php if (SHOW_LOGIN_TABLE) { ?>
	<div id="comptesdemoDiv">
		<div class="ui-widget ui-widget-content ui-corner-bottom ui-widget-webgfc">
			<table id="comptesdemo">
				<thead>
				<th>Login</th>
				<th>Mot de passe</th>
				<th>Group</th>
				</thead>
				<tbody>
					<tr>
						<td>Secretaire SC 1</td>
						<td>user</td>
						<td>Initiateur</td>
					</tr>
					<tr>
						<td>Secretaire RH 1</td>
						<td>user</td>
						<td>Valideur Editeur</td>
					</tr>
					<tr>
						<td>Agent RH 1</td>
						<td>user</td>
						<td>Valideur</td>
					</tr>

					<tr>
						<td>Directeur RH</td>
						<td>user</td>
						<td>Valideur</td>
					</tr>
					<tr>
						<td>Administrateur 1</td>
						<td>admin</td>
						<td>Admin</td>
					</tr>
					<tr>
						<td>Administrateur 2</td>
						<td>admin</td>
						<td>Admin</td>
					</tr>
					<tr>
						<td>super.administrateur</td>
						<td>superadmin</td>
						<td>Superadmin</td>
					</tr>
				</tbody>
			</table>
		</div>
	</div>

<?php } ?>
<script type="text/javascript">

	$('#UserLoginForm').validate({
		'rules': {
			'data[User][username]': 'required',
			'data[User][password]': 'required'
		}
	});

	gui.buttonbox({
		element: $('#loginButtonBox')
	});

	gui.addbutton({
		element: $('#loginButtonBox'),
		button:
			{
			content: "<?php echo __d('default', 'Button.login'); ?>",
			action: function(){
				if ($("#UserLoginForm").valid()){
					$('#UserLoginForm').submit();
				}
			}
		}
	});

	$('#UserLoginForm').keyup(function(e){
		if(e.keyCode == 13) {
			if ($("#UserLoginForm").valid()){
				$('#UserLoginForm').submit();
			}
		}
	});

<?php if (SHOW_LOGIN_TABLE) { ?>
		gui.addbutton({
			element: $('#loginButtonBox'),
			button: {
				content: "Afficher les comptes de démonstration",
				action: function(){
					$('#comptesdemoDiv').toggle();
				}
			}
		});

		$('#comptesdemo tr').hover(function(){
			$(this).addClass('ui-state-highlight');
		}, function(){
			$(this).removeClass('ui-state-highlight');
		}).click(function(){
			$('#UserUsername').val($('td:nth-child(1)', this).html());
			$('#UserPassword').val($('td:nth-child(2)', this).html());
		});
<?php } ?>

</script>
