<?php
/**
 *
 * Users/mdplost.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>


</div>
<div id="mdplostDiv" class="shadowBox">
	<h3 class="ui-widget-header-webgfc ui-state-default ui-corner-top"><?php echo __d( 'mdplost', 'Mdplost.lost'); ?></h3>
	
	<div class="ui-widget ui-widget-content ui-corner-bottom ui-widget-webgfc">
		<div style="width:400px; margin-top:5px; margin-left:auto; margin-right:auto; text-align:center;" >
			<?php
				echo $this->Html->tag('p', __d('mdplost', 'Mdplost.beforesave'), array('class' => 'ui-state-highlight', 'style' => 'font-style: italic;padding: 2px;'));
			?>
		</div>
		<?php
		echo $this->Form->create('User', array('url' => array('controller' => 'users', 'action' => 'mdplost')));
		echo $this->Form->input('User.username', array('label' => __d('mdplost', 'User.username')));
		echo $this->Form->input('User.mail', array('label' => __d('mdplost', 'User.mail')));
		echo $this->Form->end();
		?>

	</div>
	<div id="mdplostButtonBox"></div>
</div>

<script type="text/javascript">

	$('#UserMdplostForm').validate({
		'rules': {
			'data[User][username]': 'required',
			'data[User][mail]': 'required'
		}
	});

	gui.buttonbox({
		element: $('#mdplostButtonBox')
	});

	gui.addbutton({
		element: $('#mdplostButtonBox'),
		button:
			{
			content: "<?php echo __d('default', 'Button.mdplost'); ?>",
			action: function(){
				if ($("#UserMdplostForm").valid()){
					$('#UserMdplostForm').submit();
				}
			}
		}
	});

	gui.addbutton({
		element: $('#mdplostButtonBox'),
		button: {
			content: "<?php echo __d('default', 'Button.cancel'); ?>",
			action: function(){
				window.location.href="/users/login";
			}
		}
	});
	$('#UserMdplostForm').keyup(function(e){
		if(e.keyCode == 13) {
			if ($("#UserMdplostForm").valid()){
				$('#UserMdplostForm').submit();
			}
		}
	});
</script>