<?php
/**
 *
 * Workflows/edit.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?> 
<div id="circuit_tabs">

	<ul>
		<li><a href="#circuit_tabs_1"><?php echo __d('circuit', 'Circuit.infos'); ?></a></li>
		<?php if (!empty($this->data['Soustype']) && count($this->data['Soustype']) > 0) { ?>
			<li><a href="<?php echo "/workflows/setSchema/" . $this->data['Circuit']['id']; ?>"><?php echo __d('circuit', 'Circuit.schema'); ?></a></li>
		<?php } else { ?>
			<li><a href="#circuit_tabs_2"><?php echo __d('circuit', 'Circuit.schema'); ?></a></li>
		<?php } ?>


	</ul>
	<div id="circuit_tabs_1">
		<?php
		echo $this->Form->create('Circuit');
		echo $this->Form->input('Circuit.id');
		echo $this->Form->input('Circuit.nom', array('label' => __d('circuit', 'Circuit.nom')));
		echo $this->Form->input('Circuit.description', array('type' => 'textarea', 'style' => 'height: 90px;width: 160px;', 'label' => __d('circuit', 'Circuit.description')));
		echo $this->Form->input('Circuit.actif', array('type' => 'checkbox'));


		echo "<fieldset><legend>";
		echo __d('circuit', 'Soustype.associated');
		echo "</legend>";
		echo "<div style='overflow: auto; height: 170px;'><div>";
// 		if (!empty($this->data['Soustype']) && count($this->data['Soustype']) > 0) {

            echo $this->Form->input('Soustype.Soustype', array('type' => 'select', 'multiple' => true, 'label' => __d('circuit', 'Circuit.soustype'), 'options' => $listSoustypes ) );


//             $this->Liste->draw($soustypeAssocies, 'Soustype', $fields, $actions, $options);
// 			echo "<ul>";
// 			foreach ($this->data['Soustype'] as $soustype) {
// 				echo "<li>" . $soustype['name'] . "</li>";
// 
// 			}
// 			echo "</ul>";
// 		} else {
// 			echo "<br />";
// 			echo "<br />";
// 			echo __d('circuit', 'Soustype.void');
// 		}
		echo "</div>";
		echo "</div>";
		echo "</fieldset>";
        echo $this->Form->end();
		?>
	</div>

	<?php if (empty($this->data['Soustype']) || !empty($this->data['Soustype']) && count($this->data['Soustype']) == 0) { ?>
	    <div id="circuit_tabs_2">
			<?php echo "Vous devez associer au moins un sous-type au circuit pour pouvoir modifier le schéma"; ?>
	    </div>

	<?php } ?>

</div>

<script type="text/javascript">


	$('#CircuitEditForm').validate({
		rules: {
			'data[Circuit][nom]': 'required'
		}
	});

	gui.tabs({
		element: $('#circuit_tabs'),
		noErrorMsg: true,
		loaderMessage: gui.loaderMessage
	})

	$('#circuit_tabs').tabs("option", "selected", 0);

	gui.enablebutton({
		element: $('#infos .controls'),
		button: '<?php echo __d('default', 'Button.submit'); ?>'
	});
	gui.enablebutton({
		element: $('#infos .controls'),
		button: '<?php echo __d('default', 'Button.cancel'); ?>'
	});
    $(document).ready(function() {
        $('#SoustypeSoustype').select2();
    });
</script>